import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { RegionInputConfig, RegionResolvedConfig } from "@smithy/config-resolver";
import { EndpointInputConfig, EndpointResolvedConfig } from "@smithy/middleware-endpoint";
import { RetryInputConfig, RetryResolvedConfig } from "@smithy/middleware-retry";
import { HttpHandler as __HttpHandler } from "@smithy/protocol-http";
import { Client as __Client, DefaultsMode as __DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@smithy/smithy-client";
import { AwsCredentialIdentityProvider, BodyLengthCalculator as __BodyLengthCalculator, CheckOptionalClientConfig as __CheckOptionalClientConfig, ChecksumConstructor as __ChecksumConstructor, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@smithy/types";
import { HttpAuthSchemeInputConfig, HttpAuthSchemeResolvedConfig } from "@aws-sdk/client-ec2/dist-types/auth/httpAuthSchemeProvider";
import { AcceptAddressTransferCommandInput, AcceptAddressTransferCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptAddressTransferCommand";
import { AcceptReservedInstancesExchangeQuoteCommandInput, AcceptReservedInstancesExchangeQuoteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptReservedInstancesExchangeQuoteCommand";
import { AcceptTransitGatewayMulticastDomainAssociationsCommandInput, AcceptTransitGatewayMulticastDomainAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptTransitGatewayMulticastDomainAssociationsCommand";
import { AcceptTransitGatewayPeeringAttachmentCommandInput, AcceptTransitGatewayPeeringAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptTransitGatewayPeeringAttachmentCommand";
import { AcceptTransitGatewayVpcAttachmentCommandInput, AcceptTransitGatewayVpcAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptTransitGatewayVpcAttachmentCommand";
import { AcceptVpcEndpointConnectionsCommandInput, AcceptVpcEndpointConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptVpcEndpointConnectionsCommand";
import { AcceptVpcPeeringConnectionCommandInput, AcceptVpcPeeringConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AcceptVpcPeeringConnectionCommand";
import { AdvertiseByoipCidrCommandInput, AdvertiseByoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AdvertiseByoipCidrCommand";
import { AllocateAddressCommandInput, AllocateAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AllocateAddressCommand";
import { AllocateHostsCommandInput, AllocateHostsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AllocateHostsCommand";
import { AllocateIpamPoolCidrCommandInput, AllocateIpamPoolCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AllocateIpamPoolCidrCommand";
import { ApplySecurityGroupsToClientVpnTargetNetworkCommandInput, ApplySecurityGroupsToClientVpnTargetNetworkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ApplySecurityGroupsToClientVpnTargetNetworkCommand";
import { AssignIpv6AddressesCommandInput, AssignIpv6AddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssignIpv6AddressesCommand";
import { AssignPrivateIpAddressesCommandInput, AssignPrivateIpAddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssignPrivateIpAddressesCommand";
import { AssignPrivateNatGatewayAddressCommandInput, AssignPrivateNatGatewayAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssignPrivateNatGatewayAddressCommand";
import { AssociateAddressCommandInput, AssociateAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateAddressCommand";
import { AssociateClientVpnTargetNetworkCommandInput, AssociateClientVpnTargetNetworkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateClientVpnTargetNetworkCommand";
import { AssociateDhcpOptionsCommandInput, AssociateDhcpOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateDhcpOptionsCommand";
import { AssociateEnclaveCertificateIamRoleCommandInput, AssociateEnclaveCertificateIamRoleCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateEnclaveCertificateIamRoleCommand";
import { AssociateIamInstanceProfileCommandInput, AssociateIamInstanceProfileCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateIamInstanceProfileCommand";
import { AssociateInstanceEventWindowCommandInput, AssociateInstanceEventWindowCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateInstanceEventWindowCommand";
import { AssociateIpamByoasnCommandInput, AssociateIpamByoasnCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateIpamByoasnCommand";
import { AssociateIpamResourceDiscoveryCommandInput, AssociateIpamResourceDiscoveryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateIpamResourceDiscoveryCommand";
import { AssociateNatGatewayAddressCommandInput, AssociateNatGatewayAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateNatGatewayAddressCommand";
import { AssociateRouteTableCommandInput, AssociateRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateRouteTableCommand";
import { AssociateSubnetCidrBlockCommandInput, AssociateSubnetCidrBlockCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateSubnetCidrBlockCommand";
import { AssociateTransitGatewayMulticastDomainCommandInput, AssociateTransitGatewayMulticastDomainCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateTransitGatewayMulticastDomainCommand";
import { AssociateTransitGatewayPolicyTableCommandInput, AssociateTransitGatewayPolicyTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateTransitGatewayPolicyTableCommand";
import { AssociateTransitGatewayRouteTableCommandInput, AssociateTransitGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateTransitGatewayRouteTableCommand";
import { AssociateTrunkInterfaceCommandInput, AssociateTrunkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateTrunkInterfaceCommand";
import { AssociateVpcCidrBlockCommandInput, AssociateVpcCidrBlockCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AssociateVpcCidrBlockCommand";
import { AttachClassicLinkVpcCommandInput, AttachClassicLinkVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachClassicLinkVpcCommand";
import { AttachInternetGatewayCommandInput, AttachInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachInternetGatewayCommand";
import { AttachNetworkInterfaceCommandInput, AttachNetworkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachNetworkInterfaceCommand";
import { AttachVerifiedAccessTrustProviderCommandInput, AttachVerifiedAccessTrustProviderCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachVerifiedAccessTrustProviderCommand";
import { AttachVolumeCommandInput, AttachVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachVolumeCommand";
import { AttachVpnGatewayCommandInput, AttachVpnGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AttachVpnGatewayCommand";
import { AuthorizeClientVpnIngressCommandInput, AuthorizeClientVpnIngressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AuthorizeClientVpnIngressCommand";
import { AuthorizeSecurityGroupEgressCommandInput, AuthorizeSecurityGroupEgressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AuthorizeSecurityGroupEgressCommand";
import { AuthorizeSecurityGroupIngressCommandInput, AuthorizeSecurityGroupIngressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/AuthorizeSecurityGroupIngressCommand";
import { BundleInstanceCommandInput, BundleInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/BundleInstanceCommand";
import { CancelBundleTaskCommandInput, CancelBundleTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelBundleTaskCommand";
import { CancelCapacityReservationCommandInput, CancelCapacityReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelCapacityReservationCommand";
import { CancelCapacityReservationFleetsCommandInput, CancelCapacityReservationFleetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelCapacityReservationFleetsCommand";
import { CancelConversionTaskCommandInput, CancelConversionTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelConversionTaskCommand";
import { CancelExportTaskCommandInput, CancelExportTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelExportTaskCommand";
import { CancelImageLaunchPermissionCommandInput, CancelImageLaunchPermissionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelImageLaunchPermissionCommand";
import { CancelImportTaskCommandInput, CancelImportTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelImportTaskCommand";
import { CancelReservedInstancesListingCommandInput, CancelReservedInstancesListingCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelReservedInstancesListingCommand";
import { CancelSpotFleetRequestsCommandInput, CancelSpotFleetRequestsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelSpotFleetRequestsCommand";
import { CancelSpotInstanceRequestsCommandInput, CancelSpotInstanceRequestsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CancelSpotInstanceRequestsCommand";
import { ConfirmProductInstanceCommandInput, ConfirmProductInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ConfirmProductInstanceCommand";
import { CopyFpgaImageCommandInput, CopyFpgaImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CopyFpgaImageCommand";
import { CopyImageCommandInput, CopyImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CopyImageCommand";
import { CopySnapshotCommandInput, CopySnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CopySnapshotCommand";
import { CreateCapacityReservationCommandInput, CreateCapacityReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCapacityReservationCommand";
import { CreateCapacityReservationFleetCommandInput, CreateCapacityReservationFleetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCapacityReservationFleetCommand";
import { CreateCarrierGatewayCommandInput, CreateCarrierGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCarrierGatewayCommand";
import { CreateClientVpnEndpointCommandInput, CreateClientVpnEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateClientVpnEndpointCommand";
import { CreateClientVpnRouteCommandInput, CreateClientVpnRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateClientVpnRouteCommand";
import { CreateCoipCidrCommandInput, CreateCoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCoipCidrCommand";
import { CreateCoipPoolCommandInput, CreateCoipPoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCoipPoolCommand";
import { CreateCustomerGatewayCommandInput, CreateCustomerGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateCustomerGatewayCommand";
import { CreateDefaultSubnetCommandInput, CreateDefaultSubnetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateDefaultSubnetCommand";
import { CreateDefaultVpcCommandInput, CreateDefaultVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateDefaultVpcCommand";
import { CreateDhcpOptionsCommandInput, CreateDhcpOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateDhcpOptionsCommand";
import { CreateEgressOnlyInternetGatewayCommandInput, CreateEgressOnlyInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateEgressOnlyInternetGatewayCommand";
import { CreateFleetCommandInput, CreateFleetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateFleetCommand";
import { CreateFlowLogsCommandInput, CreateFlowLogsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateFlowLogsCommand";
import { CreateFpgaImageCommandInput, CreateFpgaImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateFpgaImageCommand";
import { CreateImageCommandInput, CreateImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateImageCommand";
import { CreateInstanceConnectEndpointCommandInput, CreateInstanceConnectEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateInstanceConnectEndpointCommand";
import { CreateInstanceEventWindowCommandInput, CreateInstanceEventWindowCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateInstanceEventWindowCommand";
import { CreateInstanceExportTaskCommandInput, CreateInstanceExportTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateInstanceExportTaskCommand";
import { CreateInternetGatewayCommandInput, CreateInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateInternetGatewayCommand";
import { CreateIpamCommandInput, CreateIpamCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateIpamCommand";
import { CreateIpamPoolCommandInput, CreateIpamPoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateIpamPoolCommand";
import { CreateIpamResourceDiscoveryCommandInput, CreateIpamResourceDiscoveryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateIpamResourceDiscoveryCommand";
import { CreateIpamScopeCommandInput, CreateIpamScopeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateIpamScopeCommand";
import { CreateKeyPairCommandInput, CreateKeyPairCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateKeyPairCommand";
import { CreateLaunchTemplateCommandInput, CreateLaunchTemplateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLaunchTemplateCommand";
import { CreateLaunchTemplateVersionCommandInput, CreateLaunchTemplateVersionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLaunchTemplateVersionCommand";
import { CreateLocalGatewayRouteCommandInput, CreateLocalGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLocalGatewayRouteCommand";
import { CreateLocalGatewayRouteTableCommandInput, CreateLocalGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLocalGatewayRouteTableCommand";
import { CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandInput, CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand";
import { CreateLocalGatewayRouteTableVpcAssociationCommandInput, CreateLocalGatewayRouteTableVpcAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateLocalGatewayRouteTableVpcAssociationCommand";
import { CreateManagedPrefixListCommandInput, CreateManagedPrefixListCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateManagedPrefixListCommand";
import { CreateNatGatewayCommandInput, CreateNatGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNatGatewayCommand";
import { CreateNetworkAclCommandInput, CreateNetworkAclCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkAclCommand";
import { CreateNetworkAclEntryCommandInput, CreateNetworkAclEntryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkAclEntryCommand";
import { CreateNetworkInsightsAccessScopeCommandInput, CreateNetworkInsightsAccessScopeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkInsightsAccessScopeCommand";
import { CreateNetworkInsightsPathCommandInput, CreateNetworkInsightsPathCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkInsightsPathCommand";
import { CreateNetworkInterfaceCommandInput, CreateNetworkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkInterfaceCommand";
import { CreateNetworkInterfacePermissionCommandInput, CreateNetworkInterfacePermissionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateNetworkInterfacePermissionCommand";
import { CreatePlacementGroupCommandInput, CreatePlacementGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreatePlacementGroupCommand";
import { CreatePublicIpv4PoolCommandInput, CreatePublicIpv4PoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreatePublicIpv4PoolCommand";
import { CreateReplaceRootVolumeTaskCommandInput, CreateReplaceRootVolumeTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateReplaceRootVolumeTaskCommand";
import { CreateReservedInstancesListingCommandInput, CreateReservedInstancesListingCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateReservedInstancesListingCommand";
import { CreateRestoreImageTaskCommandInput, CreateRestoreImageTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateRestoreImageTaskCommand";
import { CreateRouteCommandInput, CreateRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateRouteCommand";
import { CreateRouteTableCommandInput, CreateRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateRouteTableCommand";
import { CreateSecurityGroupCommandInput, CreateSecurityGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSecurityGroupCommand";
import { CreateSnapshotCommandInput, CreateSnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSnapshotCommand";
import { CreateSnapshotsCommandInput, CreateSnapshotsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSnapshotsCommand";
import { CreateSpotDatafeedSubscriptionCommandInput, CreateSpotDatafeedSubscriptionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSpotDatafeedSubscriptionCommand";
import { CreateStoreImageTaskCommandInput, CreateStoreImageTaskCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateStoreImageTaskCommand";
import { CreateSubnetCidrReservationCommandInput, CreateSubnetCidrReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSubnetCidrReservationCommand";
import { CreateSubnetCommandInput, CreateSubnetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateSubnetCommand";
import { CreateTagsCommandInput, CreateTagsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTagsCommand";
import { CreateTrafficMirrorFilterCommandInput, CreateTrafficMirrorFilterCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTrafficMirrorFilterCommand";
import { CreateTrafficMirrorFilterRuleCommandInput, CreateTrafficMirrorFilterRuleCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTrafficMirrorFilterRuleCommand";
import { CreateTrafficMirrorSessionCommandInput, CreateTrafficMirrorSessionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTrafficMirrorSessionCommand";
import { CreateTrafficMirrorTargetCommandInput, CreateTrafficMirrorTargetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTrafficMirrorTargetCommand";
import { CreateTransitGatewayCommandInput, CreateTransitGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayCommand";
import { CreateTransitGatewayConnectCommandInput, CreateTransitGatewayConnectCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayConnectCommand";
import { CreateTransitGatewayConnectPeerCommandInput, CreateTransitGatewayConnectPeerCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayConnectPeerCommand";
import { CreateTransitGatewayMulticastDomainCommandInput, CreateTransitGatewayMulticastDomainCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayMulticastDomainCommand";
import { CreateTransitGatewayPeeringAttachmentCommandInput, CreateTransitGatewayPeeringAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayPeeringAttachmentCommand";
import { CreateTransitGatewayPolicyTableCommandInput, CreateTransitGatewayPolicyTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayPolicyTableCommand";
import { CreateTransitGatewayPrefixListReferenceCommandInput, CreateTransitGatewayPrefixListReferenceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayPrefixListReferenceCommand";
import { CreateTransitGatewayRouteCommandInput, CreateTransitGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayRouteCommand";
import { CreateTransitGatewayRouteTableAnnouncementCommandInput, CreateTransitGatewayRouteTableAnnouncementCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayRouteTableAnnouncementCommand";
import { CreateTransitGatewayRouteTableCommandInput, CreateTransitGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayRouteTableCommand";
import { CreateTransitGatewayVpcAttachmentCommandInput, CreateTransitGatewayVpcAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateTransitGatewayVpcAttachmentCommand";
import { CreateVerifiedAccessEndpointCommandInput, CreateVerifiedAccessEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVerifiedAccessEndpointCommand";
import { CreateVerifiedAccessGroupCommandInput, CreateVerifiedAccessGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVerifiedAccessGroupCommand";
import { CreateVerifiedAccessInstanceCommandInput, CreateVerifiedAccessInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVerifiedAccessInstanceCommand";
import { CreateVerifiedAccessTrustProviderCommandInput, CreateVerifiedAccessTrustProviderCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVerifiedAccessTrustProviderCommand";
import { CreateVolumeCommandInput, CreateVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVolumeCommand";
import { CreateVpcCommandInput, CreateVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpcCommand";
import { CreateVpcEndpointCommandInput, CreateVpcEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpcEndpointCommand";
import { CreateVpcEndpointConnectionNotificationCommandInput, CreateVpcEndpointConnectionNotificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpcEndpointConnectionNotificationCommand";
import { CreateVpcEndpointServiceConfigurationCommandInput, CreateVpcEndpointServiceConfigurationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpcEndpointServiceConfigurationCommand";
import { CreateVpcPeeringConnectionCommandInput, CreateVpcPeeringConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpcPeeringConnectionCommand";
import { CreateVpnConnectionCommandInput, CreateVpnConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpnConnectionCommand";
import { CreateVpnConnectionRouteCommandInput, CreateVpnConnectionRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpnConnectionRouteCommand";
import { CreateVpnGatewayCommandInput, CreateVpnGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/CreateVpnGatewayCommand";
import { DeleteCarrierGatewayCommandInput, DeleteCarrierGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteCarrierGatewayCommand";
import { DeleteClientVpnEndpointCommandInput, DeleteClientVpnEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteClientVpnEndpointCommand";
import { DeleteClientVpnRouteCommandInput, DeleteClientVpnRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteClientVpnRouteCommand";
import { DeleteCoipCidrCommandInput, DeleteCoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteCoipCidrCommand";
import { DeleteCoipPoolCommandInput, DeleteCoipPoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteCoipPoolCommand";
import { DeleteCustomerGatewayCommandInput, DeleteCustomerGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteCustomerGatewayCommand";
import { DeleteDhcpOptionsCommandInput, DeleteDhcpOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteDhcpOptionsCommand";
import { DeleteEgressOnlyInternetGatewayCommandInput, DeleteEgressOnlyInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteEgressOnlyInternetGatewayCommand";
import { DeleteFleetsCommandInput, DeleteFleetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteFleetsCommand";
import { DeleteFlowLogsCommandInput, DeleteFlowLogsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteFlowLogsCommand";
import { DeleteFpgaImageCommandInput, DeleteFpgaImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteFpgaImageCommand";
import { DeleteInstanceConnectEndpointCommandInput, DeleteInstanceConnectEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteInstanceConnectEndpointCommand";
import { DeleteInstanceEventWindowCommandInput, DeleteInstanceEventWindowCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteInstanceEventWindowCommand";
import { DeleteInternetGatewayCommandInput, DeleteInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteInternetGatewayCommand";
import { DeleteIpamCommandInput, DeleteIpamCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteIpamCommand";
import { DeleteIpamPoolCommandInput, DeleteIpamPoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteIpamPoolCommand";
import { DeleteIpamResourceDiscoveryCommandInput, DeleteIpamResourceDiscoveryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteIpamResourceDiscoveryCommand";
import { DeleteIpamScopeCommandInput, DeleteIpamScopeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteIpamScopeCommand";
import { DeleteKeyPairCommandInput, DeleteKeyPairCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteKeyPairCommand";
import { DeleteLaunchTemplateCommandInput, DeleteLaunchTemplateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLaunchTemplateCommand";
import { DeleteLaunchTemplateVersionsCommandInput, DeleteLaunchTemplateVersionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLaunchTemplateVersionsCommand";
import { DeleteLocalGatewayRouteCommandInput, DeleteLocalGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLocalGatewayRouteCommand";
import { DeleteLocalGatewayRouteTableCommandInput, DeleteLocalGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLocalGatewayRouteTableCommand";
import { DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandInput, DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand";
import { DeleteLocalGatewayRouteTableVpcAssociationCommandInput, DeleteLocalGatewayRouteTableVpcAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteLocalGatewayRouteTableVpcAssociationCommand";
import { DeleteManagedPrefixListCommandInput, DeleteManagedPrefixListCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteManagedPrefixListCommand";
import { DeleteNatGatewayCommandInput, DeleteNatGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNatGatewayCommand";
import { DeleteNetworkAclCommandInput, DeleteNetworkAclCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkAclCommand";
import { DeleteNetworkAclEntryCommandInput, DeleteNetworkAclEntryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkAclEntryCommand";
import { DeleteNetworkInsightsAccessScopeAnalysisCommandInput, DeleteNetworkInsightsAccessScopeAnalysisCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInsightsAccessScopeAnalysisCommand";
import { DeleteNetworkInsightsAccessScopeCommandInput, DeleteNetworkInsightsAccessScopeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInsightsAccessScopeCommand";
import { DeleteNetworkInsightsAnalysisCommandInput, DeleteNetworkInsightsAnalysisCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInsightsAnalysisCommand";
import { DeleteNetworkInsightsPathCommandInput, DeleteNetworkInsightsPathCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInsightsPathCommand";
import { DeleteNetworkInterfaceCommandInput, DeleteNetworkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInterfaceCommand";
import { DeleteNetworkInterfacePermissionCommandInput, DeleteNetworkInterfacePermissionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteNetworkInterfacePermissionCommand";
import { DeletePlacementGroupCommandInput, DeletePlacementGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeletePlacementGroupCommand";
import { DeletePublicIpv4PoolCommandInput, DeletePublicIpv4PoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeletePublicIpv4PoolCommand";
import { DeleteQueuedReservedInstancesCommandInput, DeleteQueuedReservedInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteQueuedReservedInstancesCommand";
import { DeleteRouteCommandInput, DeleteRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteRouteCommand";
import { DeleteRouteTableCommandInput, DeleteRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteRouteTableCommand";
import { DeleteSecurityGroupCommandInput, DeleteSecurityGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteSecurityGroupCommand";
import { DeleteSnapshotCommandInput, DeleteSnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteSnapshotCommand";
import { DeleteSpotDatafeedSubscriptionCommandInput, DeleteSpotDatafeedSubscriptionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteSpotDatafeedSubscriptionCommand";
import { DeleteSubnetCidrReservationCommandInput, DeleteSubnetCidrReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteSubnetCidrReservationCommand";
import { DeleteSubnetCommandInput, DeleteSubnetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteSubnetCommand";
import { DeleteTagsCommandInput, DeleteTagsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTagsCommand";
import { DeleteTrafficMirrorFilterCommandInput, DeleteTrafficMirrorFilterCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTrafficMirrorFilterCommand";
import { DeleteTrafficMirrorFilterRuleCommandInput, DeleteTrafficMirrorFilterRuleCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTrafficMirrorFilterRuleCommand";
import { DeleteTrafficMirrorSessionCommandInput, DeleteTrafficMirrorSessionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTrafficMirrorSessionCommand";
import { DeleteTrafficMirrorTargetCommandInput, DeleteTrafficMirrorTargetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTrafficMirrorTargetCommand";
import { DeleteTransitGatewayCommandInput, DeleteTransitGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayCommand";
import { DeleteTransitGatewayConnectCommandInput, DeleteTransitGatewayConnectCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayConnectCommand";
import { DeleteTransitGatewayConnectPeerCommandInput, DeleteTransitGatewayConnectPeerCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayConnectPeerCommand";
import { DeleteTransitGatewayMulticastDomainCommandInput, DeleteTransitGatewayMulticastDomainCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayMulticastDomainCommand";
import { DeleteTransitGatewayPeeringAttachmentCommandInput, DeleteTransitGatewayPeeringAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayPeeringAttachmentCommand";
import { DeleteTransitGatewayPolicyTableCommandInput, DeleteTransitGatewayPolicyTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayPolicyTableCommand";
import { DeleteTransitGatewayPrefixListReferenceCommandInput, DeleteTransitGatewayPrefixListReferenceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayPrefixListReferenceCommand";
import { DeleteTransitGatewayRouteCommandInput, DeleteTransitGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayRouteCommand";
import { DeleteTransitGatewayRouteTableAnnouncementCommandInput, DeleteTransitGatewayRouteTableAnnouncementCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayRouteTableAnnouncementCommand";
import { DeleteTransitGatewayRouteTableCommandInput, DeleteTransitGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayRouteTableCommand";
import { DeleteTransitGatewayVpcAttachmentCommandInput, DeleteTransitGatewayVpcAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteTransitGatewayVpcAttachmentCommand";
import { DeleteVerifiedAccessEndpointCommandInput, DeleteVerifiedAccessEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVerifiedAccessEndpointCommand";
import { DeleteVerifiedAccessGroupCommandInput, DeleteVerifiedAccessGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVerifiedAccessGroupCommand";
import { DeleteVerifiedAccessInstanceCommandInput, DeleteVerifiedAccessInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVerifiedAccessInstanceCommand";
import { DeleteVerifiedAccessTrustProviderCommandInput, DeleteVerifiedAccessTrustProviderCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVerifiedAccessTrustProviderCommand";
import { DeleteVolumeCommandInput, DeleteVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVolumeCommand";
import { DeleteVpcCommandInput, DeleteVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpcCommand";
import { DeleteVpcEndpointConnectionNotificationsCommandInput, DeleteVpcEndpointConnectionNotificationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpcEndpointConnectionNotificationsCommand";
import { DeleteVpcEndpointsCommandInput, DeleteVpcEndpointsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpcEndpointsCommand";
import { DeleteVpcEndpointServiceConfigurationsCommandInput, DeleteVpcEndpointServiceConfigurationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpcEndpointServiceConfigurationsCommand";
import { DeleteVpcPeeringConnectionCommandInput, DeleteVpcPeeringConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpcPeeringConnectionCommand";
import { DeleteVpnConnectionCommandInput, DeleteVpnConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpnConnectionCommand";
import { DeleteVpnConnectionRouteCommandInput, DeleteVpnConnectionRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpnConnectionRouteCommand";
import { DeleteVpnGatewayCommandInput, DeleteVpnGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeleteVpnGatewayCommand";
import { DeprovisionByoipCidrCommandInput, DeprovisionByoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeprovisionByoipCidrCommand";
import { DeprovisionIpamByoasnCommandInput, DeprovisionIpamByoasnCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeprovisionIpamByoasnCommand";
import { DeprovisionIpamPoolCidrCommandInput, DeprovisionIpamPoolCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeprovisionIpamPoolCidrCommand";
import { DeprovisionPublicIpv4PoolCidrCommandInput, DeprovisionPublicIpv4PoolCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeprovisionPublicIpv4PoolCidrCommand";
import { DeregisterImageCommandInput, DeregisterImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeregisterImageCommand";
import { DeregisterInstanceEventNotificationAttributesCommandInput, DeregisterInstanceEventNotificationAttributesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeregisterInstanceEventNotificationAttributesCommand";
import { DeregisterTransitGatewayMulticastGroupMembersCommandInput, DeregisterTransitGatewayMulticastGroupMembersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeregisterTransitGatewayMulticastGroupMembersCommand";
import { DeregisterTransitGatewayMulticastGroupSourcesCommandInput, DeregisterTransitGatewayMulticastGroupSourcesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DeregisterTransitGatewayMulticastGroupSourcesCommand";
import { DescribeAccountAttributesCommandInput, DescribeAccountAttributesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAccountAttributesCommand";
import { DescribeAddressesAttributeCommandInput, DescribeAddressesAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAddressesAttributeCommand";
import { DescribeAddressesCommandInput, DescribeAddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAddressesCommand";
import { DescribeAddressTransfersCommandInput, DescribeAddressTransfersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAddressTransfersCommand";
import { DescribeAggregateIdFormatCommandInput, DescribeAggregateIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAggregateIdFormatCommand";
import { DescribeAvailabilityZonesCommandInput, DescribeAvailabilityZonesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAvailabilityZonesCommand";
import { DescribeAwsNetworkPerformanceMetricSubscriptionsCommandInput, DescribeAwsNetworkPerformanceMetricSubscriptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeAwsNetworkPerformanceMetricSubscriptionsCommand";
import { DescribeBundleTasksCommandInput, DescribeBundleTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeBundleTasksCommand";
import { DescribeByoipCidrsCommandInput, DescribeByoipCidrsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeByoipCidrsCommand";
import { DescribeCapacityBlockOfferingsCommandInput, DescribeCapacityBlockOfferingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCapacityBlockOfferingsCommand";
import { DescribeCapacityReservationFleetsCommandInput, DescribeCapacityReservationFleetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCapacityReservationFleetsCommand";
import { DescribeCapacityReservationsCommandInput, DescribeCapacityReservationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCapacityReservationsCommand";
import { DescribeCarrierGatewaysCommandInput, DescribeCarrierGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCarrierGatewaysCommand";
import { DescribeClassicLinkInstancesCommandInput, DescribeClassicLinkInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClassicLinkInstancesCommand";
import { DescribeClientVpnAuthorizationRulesCommandInput, DescribeClientVpnAuthorizationRulesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClientVpnAuthorizationRulesCommand";
import { DescribeClientVpnConnectionsCommandInput, DescribeClientVpnConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClientVpnConnectionsCommand";
import { DescribeClientVpnEndpointsCommandInput, DescribeClientVpnEndpointsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClientVpnEndpointsCommand";
import { DescribeClientVpnRoutesCommandInput, DescribeClientVpnRoutesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClientVpnRoutesCommand";
import { DescribeClientVpnTargetNetworksCommandInput, DescribeClientVpnTargetNetworksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeClientVpnTargetNetworksCommand";
import { DescribeCoipPoolsCommandInput, DescribeCoipPoolsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCoipPoolsCommand";
import { DescribeConversionTasksCommandInput, DescribeConversionTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeConversionTasksCommand";
import { DescribeCustomerGatewaysCommandInput, DescribeCustomerGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeCustomerGatewaysCommand";
import { DescribeDhcpOptionsCommandInput, DescribeDhcpOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeDhcpOptionsCommand";
import { DescribeEgressOnlyInternetGatewaysCommandInput, DescribeEgressOnlyInternetGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeEgressOnlyInternetGatewaysCommand";
import { DescribeElasticGpusCommandInput, DescribeElasticGpusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeElasticGpusCommand";
import { DescribeExportImageTasksCommandInput, DescribeExportImageTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeExportImageTasksCommand";
import { DescribeExportTasksCommandInput, DescribeExportTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeExportTasksCommand";
import { DescribeFastLaunchImagesCommandInput, DescribeFastLaunchImagesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFastLaunchImagesCommand";
import { DescribeFastSnapshotRestoresCommandInput, DescribeFastSnapshotRestoresCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFastSnapshotRestoresCommand";
import { DescribeFleetHistoryCommandInput, DescribeFleetHistoryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFleetHistoryCommand";
import { DescribeFleetInstancesCommandInput, DescribeFleetInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFleetInstancesCommand";
import { DescribeFleetsCommandInput, DescribeFleetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFleetsCommand";
import { DescribeFlowLogsCommandInput, DescribeFlowLogsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFlowLogsCommand";
import { DescribeFpgaImageAttributeCommandInput, DescribeFpgaImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFpgaImageAttributeCommand";
import { DescribeFpgaImagesCommandInput, DescribeFpgaImagesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeFpgaImagesCommand";
import { DescribeHostReservationOfferingsCommandInput, DescribeHostReservationOfferingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeHostReservationOfferingsCommand";
import { DescribeHostReservationsCommandInput, DescribeHostReservationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeHostReservationsCommand";
import { DescribeHostsCommandInput, DescribeHostsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeHostsCommand";
import { DescribeIamInstanceProfileAssociationsCommandInput, DescribeIamInstanceProfileAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIamInstanceProfileAssociationsCommand";
import { DescribeIdentityIdFormatCommandInput, DescribeIdentityIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIdentityIdFormatCommand";
import { DescribeIdFormatCommandInput, DescribeIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIdFormatCommand";
import { DescribeImageAttributeCommandInput, DescribeImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeImageAttributeCommand";
import { DescribeImagesCommandInput, DescribeImagesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeImagesCommand";
import { DescribeImportImageTasksCommandInput, DescribeImportImageTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeImportImageTasksCommand";
import { DescribeImportSnapshotTasksCommandInput, DescribeImportSnapshotTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeImportSnapshotTasksCommand";
import { DescribeInstanceAttributeCommandInput, DescribeInstanceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceAttributeCommand";
import { DescribeInstanceConnectEndpointsCommandInput, DescribeInstanceConnectEndpointsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceConnectEndpointsCommand";
import { DescribeInstanceCreditSpecificationsCommandInput, DescribeInstanceCreditSpecificationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceCreditSpecificationsCommand";
import { DescribeInstanceEventNotificationAttributesCommandInput, DescribeInstanceEventNotificationAttributesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceEventNotificationAttributesCommand";
import { DescribeInstanceEventWindowsCommandInput, DescribeInstanceEventWindowsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceEventWindowsCommand";
import { DescribeInstancesCommandInput, DescribeInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstancesCommand";
import { DescribeInstanceStatusCommandInput, DescribeInstanceStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceStatusCommand";
import { DescribeInstanceTopologyCommandInput, DescribeInstanceTopologyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceTopologyCommand";
import { DescribeInstanceTypeOfferingsCommandInput, DescribeInstanceTypeOfferingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceTypeOfferingsCommand";
import { DescribeInstanceTypesCommandInput, DescribeInstanceTypesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInstanceTypesCommand";
import { DescribeInternetGatewaysCommandInput, DescribeInternetGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeInternetGatewaysCommand";
import { DescribeIpamByoasnCommandInput, DescribeIpamByoasnCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamByoasnCommand";
import { DescribeIpamPoolsCommandInput, DescribeIpamPoolsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamPoolsCommand";
import { DescribeIpamResourceDiscoveriesCommandInput, DescribeIpamResourceDiscoveriesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamResourceDiscoveriesCommand";
import { DescribeIpamResourceDiscoveryAssociationsCommandInput, DescribeIpamResourceDiscoveryAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamResourceDiscoveryAssociationsCommand";
import { DescribeIpamsCommandInput, DescribeIpamsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamsCommand";
import { DescribeIpamScopesCommandInput, DescribeIpamScopesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpamScopesCommand";
import { DescribeIpv6PoolsCommandInput, DescribeIpv6PoolsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeIpv6PoolsCommand";
import { DescribeKeyPairsCommandInput, DescribeKeyPairsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeKeyPairsCommand";
import { DescribeLaunchTemplatesCommandInput, DescribeLaunchTemplatesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLaunchTemplatesCommand";
import { DescribeLaunchTemplateVersionsCommandInput, DescribeLaunchTemplateVersionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLaunchTemplateVersionsCommand";
import { DescribeLocalGatewayRouteTablesCommandInput, DescribeLocalGatewayRouteTablesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewayRouteTablesCommand";
import { DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommandInput, DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand";
import { DescribeLocalGatewayRouteTableVpcAssociationsCommandInput, DescribeLocalGatewayRouteTableVpcAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewayRouteTableVpcAssociationsCommand";
import { DescribeLocalGatewaysCommandInput, DescribeLocalGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewaysCommand";
import { DescribeLocalGatewayVirtualInterfaceGroupsCommandInput, DescribeLocalGatewayVirtualInterfaceGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewayVirtualInterfaceGroupsCommand";
import { DescribeLocalGatewayVirtualInterfacesCommandInput, DescribeLocalGatewayVirtualInterfacesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLocalGatewayVirtualInterfacesCommand";
import { DescribeLockedSnapshotsCommandInput, DescribeLockedSnapshotsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeLockedSnapshotsCommand";
import { DescribeManagedPrefixListsCommandInput, DescribeManagedPrefixListsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeManagedPrefixListsCommand";
import { DescribeMovingAddressesCommandInput, DescribeMovingAddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeMovingAddressesCommand";
import { DescribeNatGatewaysCommandInput, DescribeNatGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNatGatewaysCommand";
import { DescribeNetworkAclsCommandInput, DescribeNetworkAclsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkAclsCommand";
import { DescribeNetworkInsightsAccessScopeAnalysesCommandInput, DescribeNetworkInsightsAccessScopeAnalysesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInsightsAccessScopeAnalysesCommand";
import { DescribeNetworkInsightsAccessScopesCommandInput, DescribeNetworkInsightsAccessScopesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInsightsAccessScopesCommand";
import { DescribeNetworkInsightsAnalysesCommandInput, DescribeNetworkInsightsAnalysesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInsightsAnalysesCommand";
import { DescribeNetworkInsightsPathsCommandInput, DescribeNetworkInsightsPathsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInsightsPathsCommand";
import { DescribeNetworkInterfaceAttributeCommandInput, DescribeNetworkInterfaceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInterfaceAttributeCommand";
import { DescribeNetworkInterfacePermissionsCommandInput, DescribeNetworkInterfacePermissionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInterfacePermissionsCommand";
import { DescribeNetworkInterfacesCommandInput, DescribeNetworkInterfacesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeNetworkInterfacesCommand";
import { DescribePlacementGroupsCommandInput, DescribePlacementGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribePlacementGroupsCommand";
import { DescribePrefixListsCommandInput, DescribePrefixListsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribePrefixListsCommand";
import { DescribePrincipalIdFormatCommandInput, DescribePrincipalIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribePrincipalIdFormatCommand";
import { DescribePublicIpv4PoolsCommandInput, DescribePublicIpv4PoolsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribePublicIpv4PoolsCommand";
import { DescribeRegionsCommandInput, DescribeRegionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeRegionsCommand";
import { DescribeReplaceRootVolumeTasksCommandInput, DescribeReplaceRootVolumeTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeReplaceRootVolumeTasksCommand";
import { DescribeReservedInstancesCommandInput, DescribeReservedInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeReservedInstancesCommand";
import { DescribeReservedInstancesListingsCommandInput, DescribeReservedInstancesListingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeReservedInstancesListingsCommand";
import { DescribeReservedInstancesModificationsCommandInput, DescribeReservedInstancesModificationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeReservedInstancesModificationsCommand";
import { DescribeReservedInstancesOfferingsCommandInput, DescribeReservedInstancesOfferingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeReservedInstancesOfferingsCommand";
import { DescribeRouteTablesCommandInput, DescribeRouteTablesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeRouteTablesCommand";
import { DescribeScheduledInstanceAvailabilityCommandInput, DescribeScheduledInstanceAvailabilityCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeScheduledInstanceAvailabilityCommand";
import { DescribeScheduledInstancesCommandInput, DescribeScheduledInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeScheduledInstancesCommand";
import { DescribeSecurityGroupReferencesCommandInput, DescribeSecurityGroupReferencesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSecurityGroupReferencesCommand";
import { DescribeSecurityGroupRulesCommandInput, DescribeSecurityGroupRulesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSecurityGroupRulesCommand";
import { DescribeSecurityGroupsCommandInput, DescribeSecurityGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSecurityGroupsCommand";
import { DescribeSnapshotAttributeCommandInput, DescribeSnapshotAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSnapshotAttributeCommand";
import { DescribeSnapshotsCommandInput, DescribeSnapshotsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSnapshotsCommand";
import { DescribeSnapshotTierStatusCommandInput, DescribeSnapshotTierStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSnapshotTierStatusCommand";
import { DescribeSpotDatafeedSubscriptionCommandInput, DescribeSpotDatafeedSubscriptionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotDatafeedSubscriptionCommand";
import { DescribeSpotFleetInstancesCommandInput, DescribeSpotFleetInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotFleetInstancesCommand";
import { DescribeSpotFleetRequestHistoryCommandInput, DescribeSpotFleetRequestHistoryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotFleetRequestHistoryCommand";
import { DescribeSpotFleetRequestsCommandInput, DescribeSpotFleetRequestsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotFleetRequestsCommand";
import { DescribeSpotInstanceRequestsCommandInput, DescribeSpotInstanceRequestsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotInstanceRequestsCommand";
import { DescribeSpotPriceHistoryCommandInput, DescribeSpotPriceHistoryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSpotPriceHistoryCommand";
import { DescribeStaleSecurityGroupsCommandInput, DescribeStaleSecurityGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeStaleSecurityGroupsCommand";
import { DescribeStoreImageTasksCommandInput, DescribeStoreImageTasksCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeStoreImageTasksCommand";
import { DescribeSubnetsCommandInput, DescribeSubnetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeSubnetsCommand";
import { DescribeTagsCommandInput, DescribeTagsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTagsCommand";
import { DescribeTrafficMirrorFiltersCommandInput, DescribeTrafficMirrorFiltersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTrafficMirrorFiltersCommand";
import { DescribeTrafficMirrorSessionsCommandInput, DescribeTrafficMirrorSessionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTrafficMirrorSessionsCommand";
import { DescribeTrafficMirrorTargetsCommandInput, DescribeTrafficMirrorTargetsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTrafficMirrorTargetsCommand";
import { DescribeTransitGatewayAttachmentsCommandInput, DescribeTransitGatewayAttachmentsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayAttachmentsCommand";
import { DescribeTransitGatewayConnectPeersCommandInput, DescribeTransitGatewayConnectPeersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayConnectPeersCommand";
import { DescribeTransitGatewayConnectsCommandInput, DescribeTransitGatewayConnectsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayConnectsCommand";
import { DescribeTransitGatewayMulticastDomainsCommandInput, DescribeTransitGatewayMulticastDomainsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayMulticastDomainsCommand";
import { DescribeTransitGatewayPeeringAttachmentsCommandInput, DescribeTransitGatewayPeeringAttachmentsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayPeeringAttachmentsCommand";
import { DescribeTransitGatewayPolicyTablesCommandInput, DescribeTransitGatewayPolicyTablesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayPolicyTablesCommand";
import { DescribeTransitGatewayRouteTableAnnouncementsCommandInput, DescribeTransitGatewayRouteTableAnnouncementsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayRouteTableAnnouncementsCommand";
import { DescribeTransitGatewayRouteTablesCommandInput, DescribeTransitGatewayRouteTablesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayRouteTablesCommand";
import { DescribeTransitGatewaysCommandInput, DescribeTransitGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewaysCommand";
import { DescribeTransitGatewayVpcAttachmentsCommandInput, DescribeTransitGatewayVpcAttachmentsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTransitGatewayVpcAttachmentsCommand";
import { DescribeTrunkInterfaceAssociationsCommandInput, DescribeTrunkInterfaceAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeTrunkInterfaceAssociationsCommand";
import { DescribeVerifiedAccessEndpointsCommandInput, DescribeVerifiedAccessEndpointsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVerifiedAccessEndpointsCommand";
import { DescribeVerifiedAccessGroupsCommandInput, DescribeVerifiedAccessGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVerifiedAccessGroupsCommand";
import { DescribeVerifiedAccessInstanceLoggingConfigurationsCommandInput, DescribeVerifiedAccessInstanceLoggingConfigurationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVerifiedAccessInstanceLoggingConfigurationsCommand";
import { DescribeVerifiedAccessInstancesCommandInput, DescribeVerifiedAccessInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVerifiedAccessInstancesCommand";
import { DescribeVerifiedAccessTrustProvidersCommandInput, DescribeVerifiedAccessTrustProvidersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVerifiedAccessTrustProvidersCommand";
import { DescribeVolumeAttributeCommandInput, DescribeVolumeAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVolumeAttributeCommand";
import { DescribeVolumesCommandInput, DescribeVolumesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVolumesCommand";
import { DescribeVolumesModificationsCommandInput, DescribeVolumesModificationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVolumesModificationsCommand";
import { DescribeVolumeStatusCommandInput, DescribeVolumeStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVolumeStatusCommand";
import { DescribeVpcAttributeCommandInput, DescribeVpcAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcAttributeCommand";
import { DescribeVpcClassicLinkCommandInput, DescribeVpcClassicLinkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcClassicLinkCommand";
import { DescribeVpcClassicLinkDnsSupportCommandInput, DescribeVpcClassicLinkDnsSupportCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcClassicLinkDnsSupportCommand";
import { DescribeVpcEndpointConnectionNotificationsCommandInput, DescribeVpcEndpointConnectionNotificationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointConnectionNotificationsCommand";
import { DescribeVpcEndpointConnectionsCommandInput, DescribeVpcEndpointConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointConnectionsCommand";
import { DescribeVpcEndpointsCommandInput, DescribeVpcEndpointsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointsCommand";
import { DescribeVpcEndpointServiceConfigurationsCommandInput, DescribeVpcEndpointServiceConfigurationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointServiceConfigurationsCommand";
import { DescribeVpcEndpointServicePermissionsCommandInput, DescribeVpcEndpointServicePermissionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointServicePermissionsCommand";
import { DescribeVpcEndpointServicesCommandInput, DescribeVpcEndpointServicesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcEndpointServicesCommand";
import { DescribeVpcPeeringConnectionsCommandInput, DescribeVpcPeeringConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcPeeringConnectionsCommand";
import { DescribeVpcsCommandInput, DescribeVpcsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpcsCommand";
import { DescribeVpnConnectionsCommandInput, DescribeVpnConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpnConnectionsCommand";
import { DescribeVpnGatewaysCommandInput, DescribeVpnGatewaysCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DescribeVpnGatewaysCommand";
import { DetachClassicLinkVpcCommandInput, DetachClassicLinkVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachClassicLinkVpcCommand";
import { DetachInternetGatewayCommandInput, DetachInternetGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachInternetGatewayCommand";
import { DetachNetworkInterfaceCommandInput, DetachNetworkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachNetworkInterfaceCommand";
import { DetachVerifiedAccessTrustProviderCommandInput, DetachVerifiedAccessTrustProviderCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachVerifiedAccessTrustProviderCommand";
import { DetachVolumeCommandInput, DetachVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachVolumeCommand";
import { DetachVpnGatewayCommandInput, DetachVpnGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DetachVpnGatewayCommand";
import { DisableAddressTransferCommandInput, DisableAddressTransferCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableAddressTransferCommand";
import { DisableAwsNetworkPerformanceMetricSubscriptionCommandInput, DisableAwsNetworkPerformanceMetricSubscriptionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableAwsNetworkPerformanceMetricSubscriptionCommand";
import { DisableEbsEncryptionByDefaultCommandInput, DisableEbsEncryptionByDefaultCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableEbsEncryptionByDefaultCommand";
import { DisableFastLaunchCommandInput, DisableFastLaunchCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableFastLaunchCommand";
import { DisableFastSnapshotRestoresCommandInput, DisableFastSnapshotRestoresCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableFastSnapshotRestoresCommand";
import { DisableImageBlockPublicAccessCommandInput, DisableImageBlockPublicAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableImageBlockPublicAccessCommand";
import { DisableImageCommandInput, DisableImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableImageCommand";
import { DisableImageDeprecationCommandInput, DisableImageDeprecationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableImageDeprecationCommand";
import { DisableIpamOrganizationAdminAccountCommandInput, DisableIpamOrganizationAdminAccountCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableIpamOrganizationAdminAccountCommand";
import { DisableSerialConsoleAccessCommandInput, DisableSerialConsoleAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableSerialConsoleAccessCommand";
import { DisableSnapshotBlockPublicAccessCommandInput, DisableSnapshotBlockPublicAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableSnapshotBlockPublicAccessCommand";
import { DisableTransitGatewayRouteTablePropagationCommandInput, DisableTransitGatewayRouteTablePropagationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableTransitGatewayRouteTablePropagationCommand";
import { DisableVgwRoutePropagationCommandInput, DisableVgwRoutePropagationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableVgwRoutePropagationCommand";
import { DisableVpcClassicLinkCommandInput, DisableVpcClassicLinkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableVpcClassicLinkCommand";
import { DisableVpcClassicLinkDnsSupportCommandInput, DisableVpcClassicLinkDnsSupportCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisableVpcClassicLinkDnsSupportCommand";
import { DisassociateAddressCommandInput, DisassociateAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateAddressCommand";
import { DisassociateClientVpnTargetNetworkCommandInput, DisassociateClientVpnTargetNetworkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateClientVpnTargetNetworkCommand";
import { DisassociateEnclaveCertificateIamRoleCommandInput, DisassociateEnclaveCertificateIamRoleCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateEnclaveCertificateIamRoleCommand";
import { DisassociateIamInstanceProfileCommandInput, DisassociateIamInstanceProfileCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateIamInstanceProfileCommand";
import { DisassociateInstanceEventWindowCommandInput, DisassociateInstanceEventWindowCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateInstanceEventWindowCommand";
import { DisassociateIpamByoasnCommandInput, DisassociateIpamByoasnCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateIpamByoasnCommand";
import { DisassociateIpamResourceDiscoveryCommandInput, DisassociateIpamResourceDiscoveryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateIpamResourceDiscoveryCommand";
import { DisassociateNatGatewayAddressCommandInput, DisassociateNatGatewayAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateNatGatewayAddressCommand";
import { DisassociateRouteTableCommandInput, DisassociateRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateRouteTableCommand";
import { DisassociateSubnetCidrBlockCommandInput, DisassociateSubnetCidrBlockCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateSubnetCidrBlockCommand";
import { DisassociateTransitGatewayMulticastDomainCommandInput, DisassociateTransitGatewayMulticastDomainCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateTransitGatewayMulticastDomainCommand";
import { DisassociateTransitGatewayPolicyTableCommandInput, DisassociateTransitGatewayPolicyTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateTransitGatewayPolicyTableCommand";
import { DisassociateTransitGatewayRouteTableCommandInput, DisassociateTransitGatewayRouteTableCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateTransitGatewayRouteTableCommand";
import { DisassociateTrunkInterfaceCommandInput, DisassociateTrunkInterfaceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateTrunkInterfaceCommand";
import { DisassociateVpcCidrBlockCommandInput, DisassociateVpcCidrBlockCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/DisassociateVpcCidrBlockCommand";
import { EnableAddressTransferCommandInput, EnableAddressTransferCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableAddressTransferCommand";
import { EnableAwsNetworkPerformanceMetricSubscriptionCommandInput, EnableAwsNetworkPerformanceMetricSubscriptionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableAwsNetworkPerformanceMetricSubscriptionCommand";
import { EnableEbsEncryptionByDefaultCommandInput, EnableEbsEncryptionByDefaultCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableEbsEncryptionByDefaultCommand";
import { EnableFastLaunchCommandInput, EnableFastLaunchCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableFastLaunchCommand";
import { EnableFastSnapshotRestoresCommandInput, EnableFastSnapshotRestoresCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableFastSnapshotRestoresCommand";
import { EnableImageBlockPublicAccessCommandInput, EnableImageBlockPublicAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableImageBlockPublicAccessCommand";
import { EnableImageCommandInput, EnableImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableImageCommand";
import { EnableImageDeprecationCommandInput, EnableImageDeprecationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableImageDeprecationCommand";
import { EnableIpamOrganizationAdminAccountCommandInput, EnableIpamOrganizationAdminAccountCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableIpamOrganizationAdminAccountCommand";
import { EnableReachabilityAnalyzerOrganizationSharingCommandInput, EnableReachabilityAnalyzerOrganizationSharingCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableReachabilityAnalyzerOrganizationSharingCommand";
import { EnableSerialConsoleAccessCommandInput, EnableSerialConsoleAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableSerialConsoleAccessCommand";
import { EnableSnapshotBlockPublicAccessCommandInput, EnableSnapshotBlockPublicAccessCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableSnapshotBlockPublicAccessCommand";
import { EnableTransitGatewayRouteTablePropagationCommandInput, EnableTransitGatewayRouteTablePropagationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableTransitGatewayRouteTablePropagationCommand";
import { EnableVgwRoutePropagationCommandInput, EnableVgwRoutePropagationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableVgwRoutePropagationCommand";
import { EnableVolumeIOCommandInput, EnableVolumeIOCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableVolumeIOCommand";
import { EnableVpcClassicLinkCommandInput, EnableVpcClassicLinkCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableVpcClassicLinkCommand";
import { EnableVpcClassicLinkDnsSupportCommandInput, EnableVpcClassicLinkDnsSupportCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/EnableVpcClassicLinkDnsSupportCommand";
import { ExportClientVpnClientCertificateRevocationListCommandInput, ExportClientVpnClientCertificateRevocationListCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ExportClientVpnClientCertificateRevocationListCommand";
import { ExportClientVpnClientConfigurationCommandInput, ExportClientVpnClientConfigurationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ExportClientVpnClientConfigurationCommand";
import { ExportImageCommandInput, ExportImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ExportImageCommand";
import { ExportTransitGatewayRoutesCommandInput, ExportTransitGatewayRoutesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ExportTransitGatewayRoutesCommand";
import { GetAssociatedEnclaveCertificateIamRolesCommandInput, GetAssociatedEnclaveCertificateIamRolesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetAssociatedEnclaveCertificateIamRolesCommand";
import { GetAssociatedIpv6PoolCidrsCommandInput, GetAssociatedIpv6PoolCidrsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetAssociatedIpv6PoolCidrsCommand";
import { GetAwsNetworkPerformanceDataCommandInput, GetAwsNetworkPerformanceDataCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetAwsNetworkPerformanceDataCommand";
import { GetCapacityReservationUsageCommandInput, GetCapacityReservationUsageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetCapacityReservationUsageCommand";
import { GetCoipPoolUsageCommandInput, GetCoipPoolUsageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetCoipPoolUsageCommand";
import { GetConsoleOutputCommandInput, GetConsoleOutputCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetConsoleOutputCommand";
import { GetConsoleScreenshotCommandInput, GetConsoleScreenshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetConsoleScreenshotCommand";
import { GetDefaultCreditSpecificationCommandInput, GetDefaultCreditSpecificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetDefaultCreditSpecificationCommand";
import { GetEbsDefaultKmsKeyIdCommandInput, GetEbsDefaultKmsKeyIdCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetEbsDefaultKmsKeyIdCommand";
import { GetEbsEncryptionByDefaultCommandInput, GetEbsEncryptionByDefaultCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetEbsEncryptionByDefaultCommand";
import { GetFlowLogsIntegrationTemplateCommandInput, GetFlowLogsIntegrationTemplateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetFlowLogsIntegrationTemplateCommand";
import { GetGroupsForCapacityReservationCommandInput, GetGroupsForCapacityReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetGroupsForCapacityReservationCommand";
import { GetHostReservationPurchasePreviewCommandInput, GetHostReservationPurchasePreviewCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetHostReservationPurchasePreviewCommand";
import { GetImageBlockPublicAccessStateCommandInput, GetImageBlockPublicAccessStateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetImageBlockPublicAccessStateCommand";
import { GetInstanceTypesFromInstanceRequirementsCommandInput, GetInstanceTypesFromInstanceRequirementsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetInstanceTypesFromInstanceRequirementsCommand";
import { GetInstanceUefiDataCommandInput, GetInstanceUefiDataCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetInstanceUefiDataCommand";
import { GetIpamAddressHistoryCommandInput, GetIpamAddressHistoryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamAddressHistoryCommand";
import { GetIpamDiscoveredAccountsCommandInput, GetIpamDiscoveredAccountsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamDiscoveredAccountsCommand";
import { GetIpamDiscoveredPublicAddressesCommandInput, GetIpamDiscoveredPublicAddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamDiscoveredPublicAddressesCommand";
import { GetIpamDiscoveredResourceCidrsCommandInput, GetIpamDiscoveredResourceCidrsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamDiscoveredResourceCidrsCommand";
import { GetIpamPoolAllocationsCommandInput, GetIpamPoolAllocationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamPoolAllocationsCommand";
import { GetIpamPoolCidrsCommandInput, GetIpamPoolCidrsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamPoolCidrsCommand";
import { GetIpamResourceCidrsCommandInput, GetIpamResourceCidrsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetIpamResourceCidrsCommand";
import { GetLaunchTemplateDataCommandInput, GetLaunchTemplateDataCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetLaunchTemplateDataCommand";
import { GetManagedPrefixListAssociationsCommandInput, GetManagedPrefixListAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetManagedPrefixListAssociationsCommand";
import { GetManagedPrefixListEntriesCommandInput, GetManagedPrefixListEntriesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetManagedPrefixListEntriesCommand";
import { GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput, GetNetworkInsightsAccessScopeAnalysisFindingsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetNetworkInsightsAccessScopeAnalysisFindingsCommand";
import { GetNetworkInsightsAccessScopeContentCommandInput, GetNetworkInsightsAccessScopeContentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetNetworkInsightsAccessScopeContentCommand";
import { GetPasswordDataCommandInput, GetPasswordDataCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetPasswordDataCommand";
import { GetReservedInstancesExchangeQuoteCommandInput, GetReservedInstancesExchangeQuoteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetReservedInstancesExchangeQuoteCommand";
import { GetSecurityGroupsForVpcCommandInput, GetSecurityGroupsForVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetSecurityGroupsForVpcCommand";
import { GetSerialConsoleAccessStatusCommandInput, GetSerialConsoleAccessStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetSerialConsoleAccessStatusCommand";
import { GetSnapshotBlockPublicAccessStateCommandInput, GetSnapshotBlockPublicAccessStateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetSnapshotBlockPublicAccessStateCommand";
import { GetSpotPlacementScoresCommandInput, GetSpotPlacementScoresCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetSpotPlacementScoresCommand";
import { GetSubnetCidrReservationsCommandInput, GetSubnetCidrReservationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetSubnetCidrReservationsCommand";
import { GetTransitGatewayAttachmentPropagationsCommandInput, GetTransitGatewayAttachmentPropagationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayAttachmentPropagationsCommand";
import { GetTransitGatewayMulticastDomainAssociationsCommandInput, GetTransitGatewayMulticastDomainAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayMulticastDomainAssociationsCommand";
import { GetTransitGatewayPolicyTableAssociationsCommandInput, GetTransitGatewayPolicyTableAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayPolicyTableAssociationsCommand";
import { GetTransitGatewayPolicyTableEntriesCommandInput, GetTransitGatewayPolicyTableEntriesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayPolicyTableEntriesCommand";
import { GetTransitGatewayPrefixListReferencesCommandInput, GetTransitGatewayPrefixListReferencesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayPrefixListReferencesCommand";
import { GetTransitGatewayRouteTableAssociationsCommandInput, GetTransitGatewayRouteTableAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayRouteTableAssociationsCommand";
import { GetTransitGatewayRouteTablePropagationsCommandInput, GetTransitGatewayRouteTablePropagationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetTransitGatewayRouteTablePropagationsCommand";
import { GetVerifiedAccessEndpointPolicyCommandInput, GetVerifiedAccessEndpointPolicyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetVerifiedAccessEndpointPolicyCommand";
import { GetVerifiedAccessGroupPolicyCommandInput, GetVerifiedAccessGroupPolicyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetVerifiedAccessGroupPolicyCommand";
import { GetVpnConnectionDeviceSampleConfigurationCommandInput, GetVpnConnectionDeviceSampleConfigurationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetVpnConnectionDeviceSampleConfigurationCommand";
import { GetVpnConnectionDeviceTypesCommandInput, GetVpnConnectionDeviceTypesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetVpnConnectionDeviceTypesCommand";
import { GetVpnTunnelReplacementStatusCommandInput, GetVpnTunnelReplacementStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/GetVpnTunnelReplacementStatusCommand";
import { ImportClientVpnClientCertificateRevocationListCommandInput, ImportClientVpnClientCertificateRevocationListCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportClientVpnClientCertificateRevocationListCommand";
import { ImportImageCommandInput, ImportImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportImageCommand";
import { ImportInstanceCommandInput, ImportInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportInstanceCommand";
import { ImportKeyPairCommandInput, ImportKeyPairCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportKeyPairCommand";
import { ImportSnapshotCommandInput, ImportSnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportSnapshotCommand";
import { ImportVolumeCommandInput, ImportVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ImportVolumeCommand";
import { ListImagesInRecycleBinCommandInput, ListImagesInRecycleBinCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ListImagesInRecycleBinCommand";
import { ListSnapshotsInRecycleBinCommandInput, ListSnapshotsInRecycleBinCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ListSnapshotsInRecycleBinCommand";
import { LockSnapshotCommandInput, LockSnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/LockSnapshotCommand";
import { ModifyAddressAttributeCommandInput, ModifyAddressAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyAddressAttributeCommand";
import { ModifyAvailabilityZoneGroupCommandInput, ModifyAvailabilityZoneGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyAvailabilityZoneGroupCommand";
import { ModifyCapacityReservationCommandInput, ModifyCapacityReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyCapacityReservationCommand";
import { ModifyCapacityReservationFleetCommandInput, ModifyCapacityReservationFleetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyCapacityReservationFleetCommand";
import { ModifyClientVpnEndpointCommandInput, ModifyClientVpnEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyClientVpnEndpointCommand";
import { ModifyDefaultCreditSpecificationCommandInput, ModifyDefaultCreditSpecificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyDefaultCreditSpecificationCommand";
import { ModifyEbsDefaultKmsKeyIdCommandInput, ModifyEbsDefaultKmsKeyIdCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyEbsDefaultKmsKeyIdCommand";
import { ModifyFleetCommandInput, ModifyFleetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyFleetCommand";
import { ModifyFpgaImageAttributeCommandInput, ModifyFpgaImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyFpgaImageAttributeCommand";
import { ModifyHostsCommandInput, ModifyHostsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyHostsCommand";
import { ModifyIdentityIdFormatCommandInput, ModifyIdentityIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIdentityIdFormatCommand";
import { ModifyIdFormatCommandInput, ModifyIdFormatCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIdFormatCommand";
import { ModifyImageAttributeCommandInput, ModifyImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyImageAttributeCommand";
import { ModifyInstanceAttributeCommandInput, ModifyInstanceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceAttributeCommand";
import { ModifyInstanceCapacityReservationAttributesCommandInput, ModifyInstanceCapacityReservationAttributesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceCapacityReservationAttributesCommand";
import { ModifyInstanceCreditSpecificationCommandInput, ModifyInstanceCreditSpecificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceCreditSpecificationCommand";
import { ModifyInstanceEventStartTimeCommandInput, ModifyInstanceEventStartTimeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceEventStartTimeCommand";
import { ModifyInstanceEventWindowCommandInput, ModifyInstanceEventWindowCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceEventWindowCommand";
import { ModifyInstanceMaintenanceOptionsCommandInput, ModifyInstanceMaintenanceOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceMaintenanceOptionsCommand";
import { ModifyInstanceMetadataOptionsCommandInput, ModifyInstanceMetadataOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstanceMetadataOptionsCommand";
import { ModifyInstancePlacementCommandInput, ModifyInstancePlacementCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyInstancePlacementCommand";
import { ModifyIpamCommandInput, ModifyIpamCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIpamCommand";
import { ModifyIpamPoolCommandInput, ModifyIpamPoolCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIpamPoolCommand";
import { ModifyIpamResourceCidrCommandInput, ModifyIpamResourceCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIpamResourceCidrCommand";
import { ModifyIpamResourceDiscoveryCommandInput, ModifyIpamResourceDiscoveryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIpamResourceDiscoveryCommand";
import { ModifyIpamScopeCommandInput, ModifyIpamScopeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyIpamScopeCommand";
import { ModifyLaunchTemplateCommandInput, ModifyLaunchTemplateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyLaunchTemplateCommand";
import { ModifyLocalGatewayRouteCommandInput, ModifyLocalGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyLocalGatewayRouteCommand";
import { ModifyManagedPrefixListCommandInput, ModifyManagedPrefixListCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyManagedPrefixListCommand";
import { ModifyNetworkInterfaceAttributeCommandInput, ModifyNetworkInterfaceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyNetworkInterfaceAttributeCommand";
import { ModifyPrivateDnsNameOptionsCommandInput, ModifyPrivateDnsNameOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyPrivateDnsNameOptionsCommand";
import { ModifyReservedInstancesCommandInput, ModifyReservedInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyReservedInstancesCommand";
import { ModifySecurityGroupRulesCommandInput, ModifySecurityGroupRulesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifySecurityGroupRulesCommand";
import { ModifySnapshotAttributeCommandInput, ModifySnapshotAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifySnapshotAttributeCommand";
import { ModifySnapshotTierCommandInput, ModifySnapshotTierCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifySnapshotTierCommand";
import { ModifySpotFleetRequestCommandInput, ModifySpotFleetRequestCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifySpotFleetRequestCommand";
import { ModifySubnetAttributeCommandInput, ModifySubnetAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifySubnetAttributeCommand";
import { ModifyTrafficMirrorFilterNetworkServicesCommandInput, ModifyTrafficMirrorFilterNetworkServicesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTrafficMirrorFilterNetworkServicesCommand";
import { ModifyTrafficMirrorFilterRuleCommandInput, ModifyTrafficMirrorFilterRuleCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTrafficMirrorFilterRuleCommand";
import { ModifyTrafficMirrorSessionCommandInput, ModifyTrafficMirrorSessionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTrafficMirrorSessionCommand";
import { ModifyTransitGatewayCommandInput, ModifyTransitGatewayCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTransitGatewayCommand";
import { ModifyTransitGatewayPrefixListReferenceCommandInput, ModifyTransitGatewayPrefixListReferenceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTransitGatewayPrefixListReferenceCommand";
import { ModifyTransitGatewayVpcAttachmentCommandInput, ModifyTransitGatewayVpcAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyTransitGatewayVpcAttachmentCommand";
import { ModifyVerifiedAccessEndpointCommandInput, ModifyVerifiedAccessEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessEndpointCommand";
import { ModifyVerifiedAccessEndpointPolicyCommandInput, ModifyVerifiedAccessEndpointPolicyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessEndpointPolicyCommand";
import { ModifyVerifiedAccessGroupCommandInput, ModifyVerifiedAccessGroupCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessGroupCommand";
import { ModifyVerifiedAccessGroupPolicyCommandInput, ModifyVerifiedAccessGroupPolicyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessGroupPolicyCommand";
import { ModifyVerifiedAccessInstanceCommandInput, ModifyVerifiedAccessInstanceCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessInstanceCommand";
import { ModifyVerifiedAccessInstanceLoggingConfigurationCommandInput, ModifyVerifiedAccessInstanceLoggingConfigurationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessInstanceLoggingConfigurationCommand";
import { ModifyVerifiedAccessTrustProviderCommandInput, ModifyVerifiedAccessTrustProviderCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVerifiedAccessTrustProviderCommand";
import { ModifyVolumeAttributeCommandInput, ModifyVolumeAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVolumeAttributeCommand";
import { ModifyVolumeCommandInput, ModifyVolumeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVolumeCommand";
import { ModifyVpcAttributeCommandInput, ModifyVpcAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcAttributeCommand";
import { ModifyVpcEndpointCommandInput, ModifyVpcEndpointCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcEndpointCommand";
import { ModifyVpcEndpointConnectionNotificationCommandInput, ModifyVpcEndpointConnectionNotificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcEndpointConnectionNotificationCommand";
import { ModifyVpcEndpointServiceConfigurationCommandInput, ModifyVpcEndpointServiceConfigurationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcEndpointServiceConfigurationCommand";
import { ModifyVpcEndpointServicePayerResponsibilityCommandInput, ModifyVpcEndpointServicePayerResponsibilityCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcEndpointServicePayerResponsibilityCommand";
import { ModifyVpcEndpointServicePermissionsCommandInput, ModifyVpcEndpointServicePermissionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcEndpointServicePermissionsCommand";
import { ModifyVpcPeeringConnectionOptionsCommandInput, ModifyVpcPeeringConnectionOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcPeeringConnectionOptionsCommand";
import { ModifyVpcTenancyCommandInput, ModifyVpcTenancyCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpcTenancyCommand";
import { ModifyVpnConnectionCommandInput, ModifyVpnConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpnConnectionCommand";
import { ModifyVpnConnectionOptionsCommandInput, ModifyVpnConnectionOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpnConnectionOptionsCommand";
import { ModifyVpnTunnelCertificateCommandInput, ModifyVpnTunnelCertificateCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpnTunnelCertificateCommand";
import { ModifyVpnTunnelOptionsCommandInput, ModifyVpnTunnelOptionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ModifyVpnTunnelOptionsCommand";
import { MonitorInstancesCommandInput, MonitorInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/MonitorInstancesCommand";
import { MoveAddressToVpcCommandInput, MoveAddressToVpcCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/MoveAddressToVpcCommand";
import { MoveByoipCidrToIpamCommandInput, MoveByoipCidrToIpamCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/MoveByoipCidrToIpamCommand";
import { ProvisionByoipCidrCommandInput, ProvisionByoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ProvisionByoipCidrCommand";
import { ProvisionIpamByoasnCommandInput, ProvisionIpamByoasnCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ProvisionIpamByoasnCommand";
import { ProvisionIpamPoolCidrCommandInput, ProvisionIpamPoolCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ProvisionIpamPoolCidrCommand";
import { ProvisionPublicIpv4PoolCidrCommandInput, ProvisionPublicIpv4PoolCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ProvisionPublicIpv4PoolCidrCommand";
import { PurchaseCapacityBlockCommandInput, PurchaseCapacityBlockCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/PurchaseCapacityBlockCommand";
import { PurchaseHostReservationCommandInput, PurchaseHostReservationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/PurchaseHostReservationCommand";
import { PurchaseReservedInstancesOfferingCommandInput, PurchaseReservedInstancesOfferingCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/PurchaseReservedInstancesOfferingCommand";
import { PurchaseScheduledInstancesCommandInput, PurchaseScheduledInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/PurchaseScheduledInstancesCommand";
import { RebootInstancesCommandInput, RebootInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RebootInstancesCommand";
import { RegisterImageCommandInput, RegisterImageCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RegisterImageCommand";
import { RegisterInstanceEventNotificationAttributesCommandInput, RegisterInstanceEventNotificationAttributesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RegisterInstanceEventNotificationAttributesCommand";
import { RegisterTransitGatewayMulticastGroupMembersCommandInput, RegisterTransitGatewayMulticastGroupMembersCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RegisterTransitGatewayMulticastGroupMembersCommand";
import { RegisterTransitGatewayMulticastGroupSourcesCommandInput, RegisterTransitGatewayMulticastGroupSourcesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RegisterTransitGatewayMulticastGroupSourcesCommand";
import { RejectTransitGatewayMulticastDomainAssociationsCommandInput, RejectTransitGatewayMulticastDomainAssociationsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RejectTransitGatewayMulticastDomainAssociationsCommand";
import { RejectTransitGatewayPeeringAttachmentCommandInput, RejectTransitGatewayPeeringAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RejectTransitGatewayPeeringAttachmentCommand";
import { RejectTransitGatewayVpcAttachmentCommandInput, RejectTransitGatewayVpcAttachmentCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RejectTransitGatewayVpcAttachmentCommand";
import { RejectVpcEndpointConnectionsCommandInput, RejectVpcEndpointConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RejectVpcEndpointConnectionsCommand";
import { RejectVpcPeeringConnectionCommandInput, RejectVpcPeeringConnectionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RejectVpcPeeringConnectionCommand";
import { ReleaseAddressCommandInput, ReleaseAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReleaseAddressCommand";
import { ReleaseHostsCommandInput, ReleaseHostsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReleaseHostsCommand";
import { ReleaseIpamPoolAllocationCommandInput, ReleaseIpamPoolAllocationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReleaseIpamPoolAllocationCommand";
import { ReplaceIamInstanceProfileAssociationCommandInput, ReplaceIamInstanceProfileAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceIamInstanceProfileAssociationCommand";
import { ReplaceNetworkAclAssociationCommandInput, ReplaceNetworkAclAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceNetworkAclAssociationCommand";
import { ReplaceNetworkAclEntryCommandInput, ReplaceNetworkAclEntryCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceNetworkAclEntryCommand";
import { ReplaceRouteCommandInput, ReplaceRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceRouteCommand";
import { ReplaceRouteTableAssociationCommandInput, ReplaceRouteTableAssociationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceRouteTableAssociationCommand";
import { ReplaceTransitGatewayRouteCommandInput, ReplaceTransitGatewayRouteCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceTransitGatewayRouteCommand";
import { ReplaceVpnTunnelCommandInput, ReplaceVpnTunnelCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReplaceVpnTunnelCommand";
import { ReportInstanceStatusCommandInput, ReportInstanceStatusCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ReportInstanceStatusCommand";
import { RequestSpotFleetCommandInput, RequestSpotFleetCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RequestSpotFleetCommand";
import { RequestSpotInstancesCommandInput, RequestSpotInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RequestSpotInstancesCommand";
import { ResetAddressAttributeCommandInput, ResetAddressAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetAddressAttributeCommand";
import { ResetEbsDefaultKmsKeyIdCommandInput, ResetEbsDefaultKmsKeyIdCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetEbsDefaultKmsKeyIdCommand";
import { ResetFpgaImageAttributeCommandInput, ResetFpgaImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetFpgaImageAttributeCommand";
import { ResetImageAttributeCommandInput, ResetImageAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetImageAttributeCommand";
import { ResetInstanceAttributeCommandInput, ResetInstanceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetInstanceAttributeCommand";
import { ResetNetworkInterfaceAttributeCommandInput, ResetNetworkInterfaceAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetNetworkInterfaceAttributeCommand";
import { ResetSnapshotAttributeCommandInput, ResetSnapshotAttributeCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/ResetSnapshotAttributeCommand";
import { RestoreAddressToClassicCommandInput, RestoreAddressToClassicCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RestoreAddressToClassicCommand";
import { RestoreImageFromRecycleBinCommandInput, RestoreImageFromRecycleBinCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RestoreImageFromRecycleBinCommand";
import { RestoreManagedPrefixListVersionCommandInput, RestoreManagedPrefixListVersionCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RestoreManagedPrefixListVersionCommand";
import { RestoreSnapshotFromRecycleBinCommandInput, RestoreSnapshotFromRecycleBinCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RestoreSnapshotFromRecycleBinCommand";
import { RestoreSnapshotTierCommandInput, RestoreSnapshotTierCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RestoreSnapshotTierCommand";
import { RevokeClientVpnIngressCommandInput, RevokeClientVpnIngressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RevokeClientVpnIngressCommand";
import { RevokeSecurityGroupEgressCommandInput, RevokeSecurityGroupEgressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RevokeSecurityGroupEgressCommand";
import { RevokeSecurityGroupIngressCommandInput, RevokeSecurityGroupIngressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RevokeSecurityGroupIngressCommand";
import { RunInstancesCommandInput, RunInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RunInstancesCommand";
import { RunScheduledInstancesCommandInput, RunScheduledInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/RunScheduledInstancesCommand";
import { SearchLocalGatewayRoutesCommandInput, SearchLocalGatewayRoutesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/SearchLocalGatewayRoutesCommand";
import { SearchTransitGatewayMulticastGroupsCommandInput, SearchTransitGatewayMulticastGroupsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/SearchTransitGatewayMulticastGroupsCommand";
import { SearchTransitGatewayRoutesCommandInput, SearchTransitGatewayRoutesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/SearchTransitGatewayRoutesCommand";
import { SendDiagnosticInterruptCommandInput, SendDiagnosticInterruptCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/SendDiagnosticInterruptCommand";
import { StartInstancesCommandInput, StartInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/StartInstancesCommand";
import { StartNetworkInsightsAccessScopeAnalysisCommandInput, StartNetworkInsightsAccessScopeAnalysisCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/StartNetworkInsightsAccessScopeAnalysisCommand";
import { StartNetworkInsightsAnalysisCommandInput, StartNetworkInsightsAnalysisCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/StartNetworkInsightsAnalysisCommand";
import { StartVpcEndpointServicePrivateDnsVerificationCommandInput, StartVpcEndpointServicePrivateDnsVerificationCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/StartVpcEndpointServicePrivateDnsVerificationCommand";
import { StopInstancesCommandInput, StopInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/StopInstancesCommand";
import { TerminateClientVpnConnectionsCommandInput, TerminateClientVpnConnectionsCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/TerminateClientVpnConnectionsCommand";
import { TerminateInstancesCommandInput, TerminateInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/TerminateInstancesCommand";
import { UnassignIpv6AddressesCommandInput, UnassignIpv6AddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UnassignIpv6AddressesCommand";
import { UnassignPrivateIpAddressesCommandInput, UnassignPrivateIpAddressesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UnassignPrivateIpAddressesCommand";
import { UnassignPrivateNatGatewayAddressCommandInput, UnassignPrivateNatGatewayAddressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UnassignPrivateNatGatewayAddressCommand";
import { UnlockSnapshotCommandInput, UnlockSnapshotCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UnlockSnapshotCommand";
import { UnmonitorInstancesCommandInput, UnmonitorInstancesCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UnmonitorInstancesCommand";
import { UpdateSecurityGroupRuleDescriptionsEgressCommandInput, UpdateSecurityGroupRuleDescriptionsEgressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UpdateSecurityGroupRuleDescriptionsEgressCommand";
import { UpdateSecurityGroupRuleDescriptionsIngressCommandInput, UpdateSecurityGroupRuleDescriptionsIngressCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/UpdateSecurityGroupRuleDescriptionsIngressCommand";
import { WithdrawByoipCidrCommandInput, WithdrawByoipCidrCommandOutput } from "@aws-sdk/client-ec2/dist-types/commands/WithdrawByoipCidrCommand";
import { ClientInputEndpointParameters, ClientResolvedEndpointParameters, EndpointParameters } from "@aws-sdk/client-ec2/dist-types/endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "@aws-sdk/client-ec2/dist-types/runtimeExtensions";
export { __Client };
/**
 * @public
 */
export type ServiceInputTypes = AcceptAddressTransferCommandInput | AcceptReservedInstancesExchangeQuoteCommandInput | AcceptTransitGatewayMulticastDomainAssociationsCommandInput | AcceptTransitGatewayPeeringAttachmentCommandInput | AcceptTransitGatewayVpcAttachmentCommandInput | AcceptVpcEndpointConnectionsCommandInput | AcceptVpcPeeringConnectionCommandInput | AdvertiseByoipCidrCommandInput | AllocateAddressCommandInput | AllocateHostsCommandInput | AllocateIpamPoolCidrCommandInput | ApplySecurityGroupsToClientVpnTargetNetworkCommandInput | AssignIpv6AddressesCommandInput | AssignPrivateIpAddressesCommandInput | AssignPrivateNatGatewayAddressCommandInput | AssociateAddressCommandInput | AssociateClientVpnTargetNetworkCommandInput | AssociateDhcpOptionsCommandInput | AssociateEnclaveCertificateIamRoleCommandInput | AssociateIamInstanceProfileCommandInput | AssociateInstanceEventWindowCommandInput | AssociateIpamByoasnCommandInput | AssociateIpamResourceDiscoveryCommandInput | AssociateNatGatewayAddressCommandInput | AssociateRouteTableCommandInput | AssociateSubnetCidrBlockCommandInput | AssociateTransitGatewayMulticastDomainCommandInput | AssociateTransitGatewayPolicyTableCommandInput | AssociateTransitGatewayRouteTableCommandInput | AssociateTrunkInterfaceCommandInput | AssociateVpcCidrBlockCommandInput | AttachClassicLinkVpcCommandInput | AttachInternetGatewayCommandInput | AttachNetworkInterfaceCommandInput | AttachVerifiedAccessTrustProviderCommandInput | AttachVolumeCommandInput | AttachVpnGatewayCommandInput | AuthorizeClientVpnIngressCommandInput | AuthorizeSecurityGroupEgressCommandInput | AuthorizeSecurityGroupIngressCommandInput | BundleInstanceCommandInput | CancelBundleTaskCommandInput | CancelCapacityReservationCommandInput | CancelCapacityReservationFleetsCommandInput | CancelConversionTaskCommandInput | CancelExportTaskCommandInput | CancelImageLaunchPermissionCommandInput | CancelImportTaskCommandInput | CancelReservedInstancesListingCommandInput | CancelSpotFleetRequestsCommandInput | CancelSpotInstanceRequestsCommandInput | ConfirmProductInstanceCommandInput | CopyFpgaImageCommandInput | CopyImageCommandInput | CopySnapshotCommandInput | CreateCapacityReservationCommandInput | CreateCapacityReservationFleetCommandInput | CreateCarrierGatewayCommandInput | CreateClientVpnEndpointCommandInput | CreateClientVpnRouteCommandInput | CreateCoipCidrCommandInput | CreateCoipPoolCommandInput | CreateCustomerGatewayCommandInput | CreateDefaultSubnetCommandInput | CreateDefaultVpcCommandInput | CreateDhcpOptionsCommandInput | CreateEgressOnlyInternetGatewayCommandInput | CreateFleetCommandInput | CreateFlowLogsCommandInput | CreateFpgaImageCommandInput | CreateImageCommandInput | CreateInstanceConnectEndpointCommandInput | CreateInstanceEventWindowCommandInput | CreateInstanceExportTaskCommandInput | CreateInternetGatewayCommandInput | CreateIpamCommandInput | CreateIpamPoolCommandInput | CreateIpamResourceDiscoveryCommandInput | CreateIpamScopeCommandInput | CreateKeyPairCommandInput | CreateLaunchTemplateCommandInput | CreateLaunchTemplateVersionCommandInput | CreateLocalGatewayRouteCommandInput | CreateLocalGatewayRouteTableCommandInput | CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandInput | CreateLocalGatewayRouteTableVpcAssociationCommandInput | CreateManagedPrefixListCommandInput | CreateNatGatewayCommandInput | CreateNetworkAclCommandInput | CreateNetworkAclEntryCommandInput | CreateNetworkInsightsAccessScopeCommandInput | CreateNetworkInsightsPathCommandInput | CreateNetworkInterfaceCommandInput | CreateNetworkInterfacePermissionCommandInput | CreatePlacementGroupCommandInput | CreatePublicIpv4PoolCommandInput | CreateReplaceRootVolumeTaskCommandInput | CreateReservedInstancesListingCommandInput | CreateRestoreImageTaskCommandInput | CreateRouteCommandInput | CreateRouteTableCommandInput | CreateSecurityGroupCommandInput | CreateSnapshotCommandInput | CreateSnapshotsCommandInput | CreateSpotDatafeedSubscriptionCommandInput | CreateStoreImageTaskCommandInput | CreateSubnetCidrReservationCommandInput | CreateSubnetCommandInput | CreateTagsCommandInput | CreateTrafficMirrorFilterCommandInput | CreateTrafficMirrorFilterRuleCommandInput | CreateTrafficMirrorSessionCommandInput | CreateTrafficMirrorTargetCommandInput | CreateTransitGatewayCommandInput | CreateTransitGatewayConnectCommandInput | CreateTransitGatewayConnectPeerCommandInput | CreateTransitGatewayMulticastDomainCommandInput | CreateTransitGatewayPeeringAttachmentCommandInput | CreateTransitGatewayPolicyTableCommandInput | CreateTransitGatewayPrefixListReferenceCommandInput | CreateTransitGatewayRouteCommandInput | CreateTransitGatewayRouteTableAnnouncementCommandInput | CreateTransitGatewayRouteTableCommandInput | CreateTransitGatewayVpcAttachmentCommandInput | CreateVerifiedAccessEndpointCommandInput | CreateVerifiedAccessGroupCommandInput | CreateVerifiedAccessInstanceCommandInput | CreateVerifiedAccessTrustProviderCommandInput | CreateVolumeCommandInput | CreateVpcCommandInput | CreateVpcEndpointCommandInput | CreateVpcEndpointConnectionNotificationCommandInput | CreateVpcEndpointServiceConfigurationCommandInput | CreateVpcPeeringConnectionCommandInput | CreateVpnConnectionCommandInput | CreateVpnConnectionRouteCommandInput | CreateVpnGatewayCommandInput | DeleteCarrierGatewayCommandInput | DeleteClientVpnEndpointCommandInput | DeleteClientVpnRouteCommandInput | DeleteCoipCidrCommandInput | DeleteCoipPoolCommandInput | DeleteCustomerGatewayCommandInput | DeleteDhcpOptionsCommandInput | DeleteEgressOnlyInternetGatewayCommandInput | DeleteFleetsCommandInput | DeleteFlowLogsCommandInput | DeleteFpgaImageCommandInput | DeleteInstanceConnectEndpointCommandInput | DeleteInstanceEventWindowCommandInput | DeleteInternetGatewayCommandInput | DeleteIpamCommandInput | DeleteIpamPoolCommandInput | DeleteIpamResourceDiscoveryCommandInput | DeleteIpamScopeCommandInput | DeleteKeyPairCommandInput | DeleteLaunchTemplateCommandInput | DeleteLaunchTemplateVersionsCommandInput | DeleteLocalGatewayRouteCommandInput | DeleteLocalGatewayRouteTableCommandInput | DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandInput | DeleteLocalGatewayRouteTableVpcAssociationCommandInput | DeleteManagedPrefixListCommandInput | DeleteNatGatewayCommandInput | DeleteNetworkAclCommandInput | DeleteNetworkAclEntryCommandInput | DeleteNetworkInsightsAccessScopeAnalysisCommandInput | DeleteNetworkInsightsAccessScopeCommandInput | DeleteNetworkInsightsAnalysisCommandInput | DeleteNetworkInsightsPathCommandInput | DeleteNetworkInterfaceCommandInput | DeleteNetworkInterfacePermissionCommandInput | DeletePlacementGroupCommandInput | DeletePublicIpv4PoolCommandInput | DeleteQueuedReservedInstancesCommandInput | DeleteRouteCommandInput | DeleteRouteTableCommandInput | DeleteSecurityGroupCommandInput | DeleteSnapshotCommandInput | DeleteSpotDatafeedSubscriptionCommandInput | DeleteSubnetCidrReservationCommandInput | DeleteSubnetCommandInput | DeleteTagsCommandInput | DeleteTrafficMirrorFilterCommandInput | DeleteTrafficMirrorFilterRuleCommandInput | DeleteTrafficMirrorSessionCommandInput | DeleteTrafficMirrorTargetCommandInput | DeleteTransitGatewayCommandInput | DeleteTransitGatewayConnectCommandInput | DeleteTransitGatewayConnectPeerCommandInput | DeleteTransitGatewayMulticastDomainCommandInput | DeleteTransitGatewayPeeringAttachmentCommandInput | DeleteTransitGatewayPolicyTableCommandInput | DeleteTransitGatewayPrefixListReferenceCommandInput | DeleteTransitGatewayRouteCommandInput | DeleteTransitGatewayRouteTableAnnouncementCommandInput | DeleteTransitGatewayRouteTableCommandInput | DeleteTransitGatewayVpcAttachmentCommandInput | DeleteVerifiedAccessEndpointCommandInput | DeleteVerifiedAccessGroupCommandInput | DeleteVerifiedAccessInstanceCommandInput | DeleteVerifiedAccessTrustProviderCommandInput | DeleteVolumeCommandInput | DeleteVpcCommandInput | DeleteVpcEndpointConnectionNotificationsCommandInput | DeleteVpcEndpointServiceConfigurationsCommandInput | DeleteVpcEndpointsCommandInput | DeleteVpcPeeringConnectionCommandInput | DeleteVpnConnectionCommandInput | DeleteVpnConnectionRouteCommandInput | DeleteVpnGatewayCommandInput | DeprovisionByoipCidrCommandInput | DeprovisionIpamByoasnCommandInput | DeprovisionIpamPoolCidrCommandInput | DeprovisionPublicIpv4PoolCidrCommandInput | DeregisterImageCommandInput | DeregisterInstanceEventNotificationAttributesCommandInput | DeregisterTransitGatewayMulticastGroupMembersCommandInput | DeregisterTransitGatewayMulticastGroupSourcesCommandInput | DescribeAccountAttributesCommandInput | DescribeAddressTransfersCommandInput | DescribeAddressesAttributeCommandInput | DescribeAddressesCommandInput | DescribeAggregateIdFormatCommandInput | DescribeAvailabilityZonesCommandInput | DescribeAwsNetworkPerformanceMetricSubscriptionsCommandInput | DescribeBundleTasksCommandInput | DescribeByoipCidrsCommandInput | DescribeCapacityBlockOfferingsCommandInput | DescribeCapacityReservationFleetsCommandInput | DescribeCapacityReservationsCommandInput | DescribeCarrierGatewaysCommandInput | DescribeClassicLinkInstancesCommandInput | DescribeClientVpnAuthorizationRulesCommandInput | DescribeClientVpnConnectionsCommandInput | DescribeClientVpnEndpointsCommandInput | DescribeClientVpnRoutesCommandInput | DescribeClientVpnTargetNetworksCommandInput | DescribeCoipPoolsCommandInput | DescribeConversionTasksCommandInput | DescribeCustomerGatewaysCommandInput | DescribeDhcpOptionsCommandInput | DescribeEgressOnlyInternetGatewaysCommandInput | DescribeElasticGpusCommandInput | DescribeExportImageTasksCommandInput | DescribeExportTasksCommandInput | DescribeFastLaunchImagesCommandInput | DescribeFastSnapshotRestoresCommandInput | DescribeFleetHistoryCommandInput | DescribeFleetInstancesCommandInput | DescribeFleetsCommandInput | DescribeFlowLogsCommandInput | DescribeFpgaImageAttributeCommandInput | DescribeFpgaImagesCommandInput | DescribeHostReservationOfferingsCommandInput | DescribeHostReservationsCommandInput | DescribeHostsCommandInput | DescribeIamInstanceProfileAssociationsCommandInput | DescribeIdFormatCommandInput | DescribeIdentityIdFormatCommandInput | DescribeImageAttributeCommandInput | DescribeImagesCommandInput | DescribeImportImageTasksCommandInput | DescribeImportSnapshotTasksCommandInput | DescribeInstanceAttributeCommandInput | DescribeInstanceConnectEndpointsCommandInput | DescribeInstanceCreditSpecificationsCommandInput | DescribeInstanceEventNotificationAttributesCommandInput | DescribeInstanceEventWindowsCommandInput | DescribeInstanceStatusCommandInput | DescribeInstanceTopologyCommandInput | DescribeInstanceTypeOfferingsCommandInput | DescribeInstanceTypesCommandInput | DescribeInstancesCommandInput | DescribeInternetGatewaysCommandInput | DescribeIpamByoasnCommandInput | DescribeIpamPoolsCommandInput | DescribeIpamResourceDiscoveriesCommandInput | DescribeIpamResourceDiscoveryAssociationsCommandInput | DescribeIpamScopesCommandInput | DescribeIpamsCommandInput | DescribeIpv6PoolsCommandInput | DescribeKeyPairsCommandInput | DescribeLaunchTemplateVersionsCommandInput | DescribeLaunchTemplatesCommandInput | DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommandInput | DescribeLocalGatewayRouteTableVpcAssociationsCommandInput | DescribeLocalGatewayRouteTablesCommandInput | DescribeLocalGatewayVirtualInterfaceGroupsCommandInput | DescribeLocalGatewayVirtualInterfacesCommandInput | DescribeLocalGatewaysCommandInput | DescribeLockedSnapshotsCommandInput | DescribeManagedPrefixListsCommandInput | DescribeMovingAddressesCommandInput | DescribeNatGatewaysCommandInput | DescribeNetworkAclsCommandInput | DescribeNetworkInsightsAccessScopeAnalysesCommandInput | DescribeNetworkInsightsAccessScopesCommandInput | DescribeNetworkInsightsAnalysesCommandInput | DescribeNetworkInsightsPathsCommandInput | DescribeNetworkInterfaceAttributeCommandInput | DescribeNetworkInterfacePermissionsCommandInput | DescribeNetworkInterfacesCommandInput | DescribePlacementGroupsCommandInput | DescribePrefixListsCommandInput | DescribePrincipalIdFormatCommandInput | DescribePublicIpv4PoolsCommandInput | DescribeRegionsCommandInput | DescribeReplaceRootVolumeTasksCommandInput | DescribeReservedInstancesCommandInput | DescribeReservedInstancesListingsCommandInput | DescribeReservedInstancesModificationsCommandInput | DescribeReservedInstancesOfferingsCommandInput | DescribeRouteTablesCommandInput | DescribeScheduledInstanceAvailabilityCommandInput | DescribeScheduledInstancesCommandInput | DescribeSecurityGroupReferencesCommandInput | DescribeSecurityGroupRulesCommandInput | DescribeSecurityGroupsCommandInput | DescribeSnapshotAttributeCommandInput | DescribeSnapshotTierStatusCommandInput | DescribeSnapshotsCommandInput | DescribeSpotDatafeedSubscriptionCommandInput | DescribeSpotFleetInstancesCommandInput | DescribeSpotFleetRequestHistoryCommandInput | DescribeSpotFleetRequestsCommandInput | DescribeSpotInstanceRequestsCommandInput | DescribeSpotPriceHistoryCommandInput | DescribeStaleSecurityGroupsCommandInput | DescribeStoreImageTasksCommandInput | DescribeSubnetsCommandInput | DescribeTagsCommandInput | DescribeTrafficMirrorFiltersCommandInput | DescribeTrafficMirrorSessionsCommandInput | DescribeTrafficMirrorTargetsCommandInput | DescribeTransitGatewayAttachmentsCommandInput | DescribeTransitGatewayConnectPeersCommandInput | DescribeTransitGatewayConnectsCommandInput | DescribeTransitGatewayMulticastDomainsCommandInput | DescribeTransitGatewayPeeringAttachmentsCommandInput | DescribeTransitGatewayPolicyTablesCommandInput | DescribeTransitGatewayRouteTableAnnouncementsCommandInput | DescribeTransitGatewayRouteTablesCommandInput | DescribeTransitGatewayVpcAttachmentsCommandInput | DescribeTransitGatewaysCommandInput | DescribeTrunkInterfaceAssociationsCommandInput | DescribeVerifiedAccessEndpointsCommandInput | DescribeVerifiedAccessGroupsCommandInput | DescribeVerifiedAccessInstanceLoggingConfigurationsCommandInput | DescribeVerifiedAccessInstancesCommandInput | DescribeVerifiedAccessTrustProvidersCommandInput | DescribeVolumeAttributeCommandInput | DescribeVolumeStatusCommandInput | DescribeVolumesCommandInput | DescribeVolumesModificationsCommandInput | DescribeVpcAttributeCommandInput | DescribeVpcClassicLinkCommandInput | DescribeVpcClassicLinkDnsSupportCommandInput | DescribeVpcEndpointConnectionNotificationsCommandInput | DescribeVpcEndpointConnectionsCommandInput | DescribeVpcEndpointServiceConfigurationsCommandInput | DescribeVpcEndpointServicePermissionsCommandInput | DescribeVpcEndpointServicesCommandInput | DescribeVpcEndpointsCommandInput | DescribeVpcPeeringConnectionsCommandInput | DescribeVpcsCommandInput | DescribeVpnConnectionsCommandInput | DescribeVpnGatewaysCommandInput | DetachClassicLinkVpcCommandInput | DetachInternetGatewayCommandInput | DetachNetworkInterfaceCommandInput | DetachVerifiedAccessTrustProviderCommandInput | DetachVolumeCommandInput | DetachVpnGatewayCommandInput | DisableAddressTransferCommandInput | DisableAwsNetworkPerformanceMetricSubscriptionCommandInput | DisableEbsEncryptionByDefaultCommandInput | DisableFastLaunchCommandInput | DisableFastSnapshotRestoresCommandInput | DisableImageBlockPublicAccessCommandInput | DisableImageCommandInput | DisableImageDeprecationCommandInput | DisableIpamOrganizationAdminAccountCommandInput | DisableSerialConsoleAccessCommandInput | DisableSnapshotBlockPublicAccessCommandInput | DisableTransitGatewayRouteTablePropagationCommandInput | DisableVgwRoutePropagationCommandInput | DisableVpcClassicLinkCommandInput | DisableVpcClassicLinkDnsSupportCommandInput | DisassociateAddressCommandInput | DisassociateClientVpnTargetNetworkCommandInput | DisassociateEnclaveCertificateIamRoleCommandInput | DisassociateIamInstanceProfileCommandInput | DisassociateInstanceEventWindowCommandInput | DisassociateIpamByoasnCommandInput | DisassociateIpamResourceDiscoveryCommandInput | DisassociateNatGatewayAddressCommandInput | DisassociateRouteTableCommandInput | DisassociateSubnetCidrBlockCommandInput | DisassociateTransitGatewayMulticastDomainCommandInput | DisassociateTransitGatewayPolicyTableCommandInput | DisassociateTransitGatewayRouteTableCommandInput | DisassociateTrunkInterfaceCommandInput | DisassociateVpcCidrBlockCommandInput | EnableAddressTransferCommandInput | EnableAwsNetworkPerformanceMetricSubscriptionCommandInput | EnableEbsEncryptionByDefaultCommandInput | EnableFastLaunchCommandInput | EnableFastSnapshotRestoresCommandInput | EnableImageBlockPublicAccessCommandInput | EnableImageCommandInput | EnableImageDeprecationCommandInput | EnableIpamOrganizationAdminAccountCommandInput | EnableReachabilityAnalyzerOrganizationSharingCommandInput | EnableSerialConsoleAccessCommandInput | EnableSnapshotBlockPublicAccessCommandInput | EnableTransitGatewayRouteTablePropagationCommandInput | EnableVgwRoutePropagationCommandInput | EnableVolumeIOCommandInput | EnableVpcClassicLinkCommandInput | EnableVpcClassicLinkDnsSupportCommandInput | ExportClientVpnClientCertificateRevocationListCommandInput | ExportClientVpnClientConfigurationCommandInput | ExportImageCommandInput | ExportTransitGatewayRoutesCommandInput | GetAssociatedEnclaveCertificateIamRolesCommandInput | GetAssociatedIpv6PoolCidrsCommandInput | GetAwsNetworkPerformanceDataCommandInput | GetCapacityReservationUsageCommandInput | GetCoipPoolUsageCommandInput | GetConsoleOutputCommandInput | GetConsoleScreenshotCommandInput | GetDefaultCreditSpecificationCommandInput | GetEbsDefaultKmsKeyIdCommandInput | GetEbsEncryptionByDefaultCommandInput | GetFlowLogsIntegrationTemplateCommandInput | GetGroupsForCapacityReservationCommandInput | GetHostReservationPurchasePreviewCommandInput | GetImageBlockPublicAccessStateCommandInput | GetInstanceTypesFromInstanceRequirementsCommandInput | GetInstanceUefiDataCommandInput | GetIpamAddressHistoryCommandInput | GetIpamDiscoveredAccountsCommandInput | GetIpamDiscoveredPublicAddressesCommandInput | GetIpamDiscoveredResourceCidrsCommandInput | GetIpamPoolAllocationsCommandInput | GetIpamPoolCidrsCommandInput | GetIpamResourceCidrsCommandInput | GetLaunchTemplateDataCommandInput | GetManagedPrefixListAssociationsCommandInput | GetManagedPrefixListEntriesCommandInput | GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput | GetNetworkInsightsAccessScopeContentCommandInput | GetPasswordDataCommandInput | GetReservedInstancesExchangeQuoteCommandInput | GetSecurityGroupsForVpcCommandInput | GetSerialConsoleAccessStatusCommandInput | GetSnapshotBlockPublicAccessStateCommandInput | GetSpotPlacementScoresCommandInput | GetSubnetCidrReservationsCommandInput | GetTransitGatewayAttachmentPropagationsCommandInput | GetTransitGatewayMulticastDomainAssociationsCommandInput | GetTransitGatewayPolicyTableAssociationsCommandInput | GetTransitGatewayPolicyTableEntriesCommandInput | GetTransitGatewayPrefixListReferencesCommandInput | GetTransitGatewayRouteTableAssociationsCommandInput | GetTransitGatewayRouteTablePropagationsCommandInput | GetVerifiedAccessEndpointPolicyCommandInput | GetVerifiedAccessGroupPolicyCommandInput | GetVpnConnectionDeviceSampleConfigurationCommandInput | GetVpnConnectionDeviceTypesCommandInput | GetVpnTunnelReplacementStatusCommandInput | ImportClientVpnClientCertificateRevocationListCommandInput | ImportImageCommandInput | ImportInstanceCommandInput | ImportKeyPairCommandInput | ImportSnapshotCommandInput | ImportVolumeCommandInput | ListImagesInRecycleBinCommandInput | ListSnapshotsInRecycleBinCommandInput | LockSnapshotCommandInput | ModifyAddressAttributeCommandInput | ModifyAvailabilityZoneGroupCommandInput | ModifyCapacityReservationCommandInput | ModifyCapacityReservationFleetCommandInput | ModifyClientVpnEndpointCommandInput | ModifyDefaultCreditSpecificationCommandInput | ModifyEbsDefaultKmsKeyIdCommandInput | ModifyFleetCommandInput | ModifyFpgaImageAttributeCommandInput | ModifyHostsCommandInput | ModifyIdFormatCommandInput | ModifyIdentityIdFormatCommandInput | ModifyImageAttributeCommandInput | ModifyInstanceAttributeCommandInput | ModifyInstanceCapacityReservationAttributesCommandInput | ModifyInstanceCreditSpecificationCommandInput | ModifyInstanceEventStartTimeCommandInput | ModifyInstanceEventWindowCommandInput | ModifyInstanceMaintenanceOptionsCommandInput | ModifyInstanceMetadataOptionsCommandInput | ModifyInstancePlacementCommandInput | ModifyIpamCommandInput | ModifyIpamPoolCommandInput | ModifyIpamResourceCidrCommandInput | ModifyIpamResourceDiscoveryCommandInput | ModifyIpamScopeCommandInput | ModifyLaunchTemplateCommandInput | ModifyLocalGatewayRouteCommandInput | ModifyManagedPrefixListCommandInput | ModifyNetworkInterfaceAttributeCommandInput | ModifyPrivateDnsNameOptionsCommandInput | ModifyReservedInstancesCommandInput | ModifySecurityGroupRulesCommandInput | ModifySnapshotAttributeCommandInput | ModifySnapshotTierCommandInput | ModifySpotFleetRequestCommandInput | ModifySubnetAttributeCommandInput | ModifyTrafficMirrorFilterNetworkServicesCommandInput | ModifyTrafficMirrorFilterRuleCommandInput | ModifyTrafficMirrorSessionCommandInput | ModifyTransitGatewayCommandInput | ModifyTransitGatewayPrefixListReferenceCommandInput | ModifyTransitGatewayVpcAttachmentCommandInput | ModifyVerifiedAccessEndpointCommandInput | ModifyVerifiedAccessEndpointPolicyCommandInput | ModifyVerifiedAccessGroupCommandInput | ModifyVerifiedAccessGroupPolicyCommandInput | ModifyVerifiedAccessInstanceCommandInput | ModifyVerifiedAccessInstanceLoggingConfigurationCommandInput | ModifyVerifiedAccessTrustProviderCommandInput | ModifyVolumeAttributeCommandInput | ModifyVolumeCommandInput | ModifyVpcAttributeCommandInput | ModifyVpcEndpointCommandInput | ModifyVpcEndpointConnectionNotificationCommandInput | ModifyVpcEndpointServiceConfigurationCommandInput | ModifyVpcEndpointServicePayerResponsibilityCommandInput | ModifyVpcEndpointServicePermissionsCommandInput | ModifyVpcPeeringConnectionOptionsCommandInput | ModifyVpcTenancyCommandInput | ModifyVpnConnectionCommandInput | ModifyVpnConnectionOptionsCommandInput | ModifyVpnTunnelCertificateCommandInput | ModifyVpnTunnelOptionsCommandInput | MonitorInstancesCommandInput | MoveAddressToVpcCommandInput | MoveByoipCidrToIpamCommandInput | ProvisionByoipCidrCommandInput | ProvisionIpamByoasnCommandInput | ProvisionIpamPoolCidrCommandInput | ProvisionPublicIpv4PoolCidrCommandInput | PurchaseCapacityBlockCommandInput | PurchaseHostReservationCommandInput | PurchaseReservedInstancesOfferingCommandInput | PurchaseScheduledInstancesCommandInput | RebootInstancesCommandInput | RegisterImageCommandInput | RegisterInstanceEventNotificationAttributesCommandInput | RegisterTransitGatewayMulticastGroupMembersCommandInput | RegisterTransitGatewayMulticastGroupSourcesCommandInput | RejectTransitGatewayMulticastDomainAssociationsCommandInput | RejectTransitGatewayPeeringAttachmentCommandInput | RejectTransitGatewayVpcAttachmentCommandInput | RejectVpcEndpointConnectionsCommandInput | RejectVpcPeeringConnectionCommandInput | ReleaseAddressCommandInput | ReleaseHostsCommandInput | ReleaseIpamPoolAllocationCommandInput | ReplaceIamInstanceProfileAssociationCommandInput | ReplaceNetworkAclAssociationCommandInput | ReplaceNetworkAclEntryCommandInput | ReplaceRouteCommandInput | ReplaceRouteTableAssociationCommandInput | ReplaceTransitGatewayRouteCommandInput | ReplaceVpnTunnelCommandInput | ReportInstanceStatusCommandInput | RequestSpotFleetCommandInput | RequestSpotInstancesCommandInput | ResetAddressAttributeCommandInput | ResetEbsDefaultKmsKeyIdCommandInput | ResetFpgaImageAttributeCommandInput | ResetImageAttributeCommandInput | ResetInstanceAttributeCommandInput | ResetNetworkInterfaceAttributeCommandInput | ResetSnapshotAttributeCommandInput | RestoreAddressToClassicCommandInput | RestoreImageFromRecycleBinCommandInput | RestoreManagedPrefixListVersionCommandInput | RestoreSnapshotFromRecycleBinCommandInput | RestoreSnapshotTierCommandInput | RevokeClientVpnIngressCommandInput | RevokeSecurityGroupEgressCommandInput | RevokeSecurityGroupIngressCommandInput | RunInstancesCommandInput | RunScheduledInstancesCommandInput | SearchLocalGatewayRoutesCommandInput | SearchTransitGatewayMulticastGroupsCommandInput | SearchTransitGatewayRoutesCommandInput | SendDiagnosticInterruptCommandInput | StartInstancesCommandInput | StartNetworkInsightsAccessScopeAnalysisCommandInput | StartNetworkInsightsAnalysisCommandInput | StartVpcEndpointServicePrivateDnsVerificationCommandInput | StopInstancesCommandInput | TerminateClientVpnConnectionsCommandInput | TerminateInstancesCommandInput | UnassignIpv6AddressesCommandInput | UnassignPrivateIpAddressesCommandInput | UnassignPrivateNatGatewayAddressCommandInput | UnlockSnapshotCommandInput | UnmonitorInstancesCommandInput | UpdateSecurityGroupRuleDescriptionsEgressCommandInput | UpdateSecurityGroupRuleDescriptionsIngressCommandInput | WithdrawByoipCidrCommandInput;
/**
 * @public
 */
export type ServiceOutputTypes = AcceptAddressTransferCommandOutput | AcceptReservedInstancesExchangeQuoteCommandOutput | AcceptTransitGatewayMulticastDomainAssociationsCommandOutput | AcceptTransitGatewayPeeringAttachmentCommandOutput | AcceptTransitGatewayVpcAttachmentCommandOutput | AcceptVpcEndpointConnectionsCommandOutput | AcceptVpcPeeringConnectionCommandOutput | AdvertiseByoipCidrCommandOutput | AllocateAddressCommandOutput | AllocateHostsCommandOutput | AllocateIpamPoolCidrCommandOutput | ApplySecurityGroupsToClientVpnTargetNetworkCommandOutput | AssignIpv6AddressesCommandOutput | AssignPrivateIpAddressesCommandOutput | AssignPrivateNatGatewayAddressCommandOutput | AssociateAddressCommandOutput | AssociateClientVpnTargetNetworkCommandOutput | AssociateDhcpOptionsCommandOutput | AssociateEnclaveCertificateIamRoleCommandOutput | AssociateIamInstanceProfileCommandOutput | AssociateInstanceEventWindowCommandOutput | AssociateIpamByoasnCommandOutput | AssociateIpamResourceDiscoveryCommandOutput | AssociateNatGatewayAddressCommandOutput | AssociateRouteTableCommandOutput | AssociateSubnetCidrBlockCommandOutput | AssociateTransitGatewayMulticastDomainCommandOutput | AssociateTransitGatewayPolicyTableCommandOutput | AssociateTransitGatewayRouteTableCommandOutput | AssociateTrunkInterfaceCommandOutput | AssociateVpcCidrBlockCommandOutput | AttachClassicLinkVpcCommandOutput | AttachInternetGatewayCommandOutput | AttachNetworkInterfaceCommandOutput | AttachVerifiedAccessTrustProviderCommandOutput | AttachVolumeCommandOutput | AttachVpnGatewayCommandOutput | AuthorizeClientVpnIngressCommandOutput | AuthorizeSecurityGroupEgressCommandOutput | AuthorizeSecurityGroupIngressCommandOutput | BundleInstanceCommandOutput | CancelBundleTaskCommandOutput | CancelCapacityReservationCommandOutput | CancelCapacityReservationFleetsCommandOutput | CancelConversionTaskCommandOutput | CancelExportTaskCommandOutput | CancelImageLaunchPermissionCommandOutput | CancelImportTaskCommandOutput | CancelReservedInstancesListingCommandOutput | CancelSpotFleetRequestsCommandOutput | CancelSpotInstanceRequestsCommandOutput | ConfirmProductInstanceCommandOutput | CopyFpgaImageCommandOutput | CopyImageCommandOutput | CopySnapshotCommandOutput | CreateCapacityReservationCommandOutput | CreateCapacityReservationFleetCommandOutput | CreateCarrierGatewayCommandOutput | CreateClientVpnEndpointCommandOutput | CreateClientVpnRouteCommandOutput | CreateCoipCidrCommandOutput | CreateCoipPoolCommandOutput | CreateCustomerGatewayCommandOutput | CreateDefaultSubnetCommandOutput | CreateDefaultVpcCommandOutput | CreateDhcpOptionsCommandOutput | CreateEgressOnlyInternetGatewayCommandOutput | CreateFleetCommandOutput | CreateFlowLogsCommandOutput | CreateFpgaImageCommandOutput | CreateImageCommandOutput | CreateInstanceConnectEndpointCommandOutput | CreateInstanceEventWindowCommandOutput | CreateInstanceExportTaskCommandOutput | CreateInternetGatewayCommandOutput | CreateIpamCommandOutput | CreateIpamPoolCommandOutput | CreateIpamResourceDiscoveryCommandOutput | CreateIpamScopeCommandOutput | CreateKeyPairCommandOutput | CreateLaunchTemplateCommandOutput | CreateLaunchTemplateVersionCommandOutput | CreateLocalGatewayRouteCommandOutput | CreateLocalGatewayRouteTableCommandOutput | CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandOutput | CreateLocalGatewayRouteTableVpcAssociationCommandOutput | CreateManagedPrefixListCommandOutput | CreateNatGatewayCommandOutput | CreateNetworkAclCommandOutput | CreateNetworkAclEntryCommandOutput | CreateNetworkInsightsAccessScopeCommandOutput | CreateNetworkInsightsPathCommandOutput | CreateNetworkInterfaceCommandOutput | CreateNetworkInterfacePermissionCommandOutput | CreatePlacementGroupCommandOutput | CreatePublicIpv4PoolCommandOutput | CreateReplaceRootVolumeTaskCommandOutput | CreateReservedInstancesListingCommandOutput | CreateRestoreImageTaskCommandOutput | CreateRouteCommandOutput | CreateRouteTableCommandOutput | CreateSecurityGroupCommandOutput | CreateSnapshotCommandOutput | CreateSnapshotsCommandOutput | CreateSpotDatafeedSubscriptionCommandOutput | CreateStoreImageTaskCommandOutput | CreateSubnetCidrReservationCommandOutput | CreateSubnetCommandOutput | CreateTagsCommandOutput | CreateTrafficMirrorFilterCommandOutput | CreateTrafficMirrorFilterRuleCommandOutput | CreateTrafficMirrorSessionCommandOutput | CreateTrafficMirrorTargetCommandOutput | CreateTransitGatewayCommandOutput | CreateTransitGatewayConnectCommandOutput | CreateTransitGatewayConnectPeerCommandOutput | CreateTransitGatewayMulticastDomainCommandOutput | CreateTransitGatewayPeeringAttachmentCommandOutput | CreateTransitGatewayPolicyTableCommandOutput | CreateTransitGatewayPrefixListReferenceCommandOutput | CreateTransitGatewayRouteCommandOutput | CreateTransitGatewayRouteTableAnnouncementCommandOutput | CreateTransitGatewayRouteTableCommandOutput | CreateTransitGatewayVpcAttachmentCommandOutput | CreateVerifiedAccessEndpointCommandOutput | CreateVerifiedAccessGroupCommandOutput | CreateVerifiedAccessInstanceCommandOutput | CreateVerifiedAccessTrustProviderCommandOutput | CreateVolumeCommandOutput | CreateVpcCommandOutput | CreateVpcEndpointCommandOutput | CreateVpcEndpointConnectionNotificationCommandOutput | CreateVpcEndpointServiceConfigurationCommandOutput | CreateVpcPeeringConnectionCommandOutput | CreateVpnConnectionCommandOutput | CreateVpnConnectionRouteCommandOutput | CreateVpnGatewayCommandOutput | DeleteCarrierGatewayCommandOutput | DeleteClientVpnEndpointCommandOutput | DeleteClientVpnRouteCommandOutput | DeleteCoipCidrCommandOutput | DeleteCoipPoolCommandOutput | DeleteCustomerGatewayCommandOutput | DeleteDhcpOptionsCommandOutput | DeleteEgressOnlyInternetGatewayCommandOutput | DeleteFleetsCommandOutput | DeleteFlowLogsCommandOutput | DeleteFpgaImageCommandOutput | DeleteInstanceConnectEndpointCommandOutput | DeleteInstanceEventWindowCommandOutput | DeleteInternetGatewayCommandOutput | DeleteIpamCommandOutput | DeleteIpamPoolCommandOutput | DeleteIpamResourceDiscoveryCommandOutput | DeleteIpamScopeCommandOutput | DeleteKeyPairCommandOutput | DeleteLaunchTemplateCommandOutput | DeleteLaunchTemplateVersionsCommandOutput | DeleteLocalGatewayRouteCommandOutput | DeleteLocalGatewayRouteTableCommandOutput | DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommandOutput | DeleteLocalGatewayRouteTableVpcAssociationCommandOutput | DeleteManagedPrefixListCommandOutput | DeleteNatGatewayCommandOutput | DeleteNetworkAclCommandOutput | DeleteNetworkAclEntryCommandOutput | DeleteNetworkInsightsAccessScopeAnalysisCommandOutput | DeleteNetworkInsightsAccessScopeCommandOutput | DeleteNetworkInsightsAnalysisCommandOutput | DeleteNetworkInsightsPathCommandOutput | DeleteNetworkInterfaceCommandOutput | DeleteNetworkInterfacePermissionCommandOutput | DeletePlacementGroupCommandOutput | DeletePublicIpv4PoolCommandOutput | DeleteQueuedReservedInstancesCommandOutput | DeleteRouteCommandOutput | DeleteRouteTableCommandOutput | DeleteSecurityGroupCommandOutput | DeleteSnapshotCommandOutput | DeleteSpotDatafeedSubscriptionCommandOutput | DeleteSubnetCidrReservationCommandOutput | DeleteSubnetCommandOutput | DeleteTagsCommandOutput | DeleteTrafficMirrorFilterCommandOutput | DeleteTrafficMirrorFilterRuleCommandOutput | DeleteTrafficMirrorSessionCommandOutput | DeleteTrafficMirrorTargetCommandOutput | DeleteTransitGatewayCommandOutput | DeleteTransitGatewayConnectCommandOutput | DeleteTransitGatewayConnectPeerCommandOutput | DeleteTransitGatewayMulticastDomainCommandOutput | DeleteTransitGatewayPeeringAttachmentCommandOutput | DeleteTransitGatewayPolicyTableCommandOutput | DeleteTransitGatewayPrefixListReferenceCommandOutput | DeleteTransitGatewayRouteCommandOutput | DeleteTransitGatewayRouteTableAnnouncementCommandOutput | DeleteTransitGatewayRouteTableCommandOutput | DeleteTransitGatewayVpcAttachmentCommandOutput | DeleteVerifiedAccessEndpointCommandOutput | DeleteVerifiedAccessGroupCommandOutput | DeleteVerifiedAccessInstanceCommandOutput | DeleteVerifiedAccessTrustProviderCommandOutput | DeleteVolumeCommandOutput | DeleteVpcCommandOutput | DeleteVpcEndpointConnectionNotificationsCommandOutput | DeleteVpcEndpointServiceConfigurationsCommandOutput | DeleteVpcEndpointsCommandOutput | DeleteVpcPeeringConnectionCommandOutput | DeleteVpnConnectionCommandOutput | DeleteVpnConnectionRouteCommandOutput | DeleteVpnGatewayCommandOutput | DeprovisionByoipCidrCommandOutput | DeprovisionIpamByoasnCommandOutput | DeprovisionIpamPoolCidrCommandOutput | DeprovisionPublicIpv4PoolCidrCommandOutput | DeregisterImageCommandOutput | DeregisterInstanceEventNotificationAttributesCommandOutput | DeregisterTransitGatewayMulticastGroupMembersCommandOutput | DeregisterTransitGatewayMulticastGroupSourcesCommandOutput | DescribeAccountAttributesCommandOutput | DescribeAddressTransfersCommandOutput | DescribeAddressesAttributeCommandOutput | DescribeAddressesCommandOutput | DescribeAggregateIdFormatCommandOutput | DescribeAvailabilityZonesCommandOutput | DescribeAwsNetworkPerformanceMetricSubscriptionsCommandOutput | DescribeBundleTasksCommandOutput | DescribeByoipCidrsCommandOutput | DescribeCapacityBlockOfferingsCommandOutput | DescribeCapacityReservationFleetsCommandOutput | DescribeCapacityReservationsCommandOutput | DescribeCarrierGatewaysCommandOutput | DescribeClassicLinkInstancesCommandOutput | DescribeClientVpnAuthorizationRulesCommandOutput | DescribeClientVpnConnectionsCommandOutput | DescribeClientVpnEndpointsCommandOutput | DescribeClientVpnRoutesCommandOutput | DescribeClientVpnTargetNetworksCommandOutput | DescribeCoipPoolsCommandOutput | DescribeConversionTasksCommandOutput | DescribeCustomerGatewaysCommandOutput | DescribeDhcpOptionsCommandOutput | DescribeEgressOnlyInternetGatewaysCommandOutput | DescribeElasticGpusCommandOutput | DescribeExportImageTasksCommandOutput | DescribeExportTasksCommandOutput | DescribeFastLaunchImagesCommandOutput | DescribeFastSnapshotRestoresCommandOutput | DescribeFleetHistoryCommandOutput | DescribeFleetInstancesCommandOutput | DescribeFleetsCommandOutput | DescribeFlowLogsCommandOutput | DescribeFpgaImageAttributeCommandOutput | DescribeFpgaImagesCommandOutput | DescribeHostReservationOfferingsCommandOutput | DescribeHostReservationsCommandOutput | DescribeHostsCommandOutput | DescribeIamInstanceProfileAssociationsCommandOutput | DescribeIdFormatCommandOutput | DescribeIdentityIdFormatCommandOutput | DescribeImageAttributeCommandOutput | DescribeImagesCommandOutput | DescribeImportImageTasksCommandOutput | DescribeImportSnapshotTasksCommandOutput | DescribeInstanceAttributeCommandOutput | DescribeInstanceConnectEndpointsCommandOutput | DescribeInstanceCreditSpecificationsCommandOutput | DescribeInstanceEventNotificationAttributesCommandOutput | DescribeInstanceEventWindowsCommandOutput | DescribeInstanceStatusCommandOutput | DescribeInstanceTopologyCommandOutput | DescribeInstanceTypeOfferingsCommandOutput | DescribeInstanceTypesCommandOutput | DescribeInstancesCommandOutput | DescribeInternetGatewaysCommandOutput | DescribeIpamByoasnCommandOutput | DescribeIpamPoolsCommandOutput | DescribeIpamResourceDiscoveriesCommandOutput | DescribeIpamResourceDiscoveryAssociationsCommandOutput | DescribeIpamScopesCommandOutput | DescribeIpamsCommandOutput | DescribeIpv6PoolsCommandOutput | DescribeKeyPairsCommandOutput | DescribeLaunchTemplateVersionsCommandOutput | DescribeLaunchTemplatesCommandOutput | DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommandOutput | DescribeLocalGatewayRouteTableVpcAssociationsCommandOutput | DescribeLocalGatewayRouteTablesCommandOutput | DescribeLocalGatewayVirtualInterfaceGroupsCommandOutput | DescribeLocalGatewayVirtualInterfacesCommandOutput | DescribeLocalGatewaysCommandOutput | DescribeLockedSnapshotsCommandOutput | DescribeManagedPrefixListsCommandOutput | DescribeMovingAddressesCommandOutput | DescribeNatGatewaysCommandOutput | DescribeNetworkAclsCommandOutput | DescribeNetworkInsightsAccessScopeAnalysesCommandOutput | DescribeNetworkInsightsAccessScopesCommandOutput | DescribeNetworkInsightsAnalysesCommandOutput | DescribeNetworkInsightsPathsCommandOutput | DescribeNetworkInterfaceAttributeCommandOutput | DescribeNetworkInterfacePermissionsCommandOutput | DescribeNetworkInterfacesCommandOutput | DescribePlacementGroupsCommandOutput | DescribePrefixListsCommandOutput | DescribePrincipalIdFormatCommandOutput | DescribePublicIpv4PoolsCommandOutput | DescribeRegionsCommandOutput | DescribeReplaceRootVolumeTasksCommandOutput | DescribeReservedInstancesCommandOutput | DescribeReservedInstancesListingsCommandOutput | DescribeReservedInstancesModificationsCommandOutput | DescribeReservedInstancesOfferingsCommandOutput | DescribeRouteTablesCommandOutput | DescribeScheduledInstanceAvailabilityCommandOutput | DescribeScheduledInstancesCommandOutput | DescribeSecurityGroupReferencesCommandOutput | DescribeSecurityGroupRulesCommandOutput | DescribeSecurityGroupsCommandOutput | DescribeSnapshotAttributeCommandOutput | DescribeSnapshotTierStatusCommandOutput | DescribeSnapshotsCommandOutput | DescribeSpotDatafeedSubscriptionCommandOutput | DescribeSpotFleetInstancesCommandOutput | DescribeSpotFleetRequestHistoryCommandOutput | DescribeSpotFleetRequestsCommandOutput | DescribeSpotInstanceRequestsCommandOutput | DescribeSpotPriceHistoryCommandOutput | DescribeStaleSecurityGroupsCommandOutput | DescribeStoreImageTasksCommandOutput | DescribeSubnetsCommandOutput | DescribeTagsCommandOutput | DescribeTrafficMirrorFiltersCommandOutput | DescribeTrafficMirrorSessionsCommandOutput | DescribeTrafficMirrorTargetsCommandOutput | DescribeTransitGatewayAttachmentsCommandOutput | DescribeTransitGatewayConnectPeersCommandOutput | DescribeTransitGatewayConnectsCommandOutput | DescribeTransitGatewayMulticastDomainsCommandOutput | DescribeTransitGatewayPeeringAttachmentsCommandOutput | DescribeTransitGatewayPolicyTablesCommandOutput | DescribeTransitGatewayRouteTableAnnouncementsCommandOutput | DescribeTransitGatewayRouteTablesCommandOutput | DescribeTransitGatewayVpcAttachmentsCommandOutput | DescribeTransitGatewaysCommandOutput | DescribeTrunkInterfaceAssociationsCommandOutput | DescribeVerifiedAccessEndpointsCommandOutput | DescribeVerifiedAccessGroupsCommandOutput | DescribeVerifiedAccessInstanceLoggingConfigurationsCommandOutput | DescribeVerifiedAccessInstancesCommandOutput | DescribeVerifiedAccessTrustProvidersCommandOutput | DescribeVolumeAttributeCommandOutput | DescribeVolumeStatusCommandOutput | DescribeVolumesCommandOutput | DescribeVolumesModificationsCommandOutput | DescribeVpcAttributeCommandOutput | DescribeVpcClassicLinkCommandOutput | DescribeVpcClassicLinkDnsSupportCommandOutput | DescribeVpcEndpointConnectionNotificationsCommandOutput | DescribeVpcEndpointConnectionsCommandOutput | DescribeVpcEndpointServiceConfigurationsCommandOutput | DescribeVpcEndpointServicePermissionsCommandOutput | DescribeVpcEndpointServicesCommandOutput | DescribeVpcEndpointsCommandOutput | DescribeVpcPeeringConnectionsCommandOutput | DescribeVpcsCommandOutput | DescribeVpnConnectionsCommandOutput | DescribeVpnGatewaysCommandOutput | DetachClassicLinkVpcCommandOutput | DetachInternetGatewayCommandOutput | DetachNetworkInterfaceCommandOutput | DetachVerifiedAccessTrustProviderCommandOutput | DetachVolumeCommandOutput | DetachVpnGatewayCommandOutput | DisableAddressTransferCommandOutput | DisableAwsNetworkPerformanceMetricSubscriptionCommandOutput | DisableEbsEncryptionByDefaultCommandOutput | DisableFastLaunchCommandOutput | DisableFastSnapshotRestoresCommandOutput | DisableImageBlockPublicAccessCommandOutput | DisableImageCommandOutput | DisableImageDeprecationCommandOutput | DisableIpamOrganizationAdminAccountCommandOutput | DisableSerialConsoleAccessCommandOutput | DisableSnapshotBlockPublicAccessCommandOutput | DisableTransitGatewayRouteTablePropagationCommandOutput | DisableVgwRoutePropagationCommandOutput | DisableVpcClassicLinkCommandOutput | DisableVpcClassicLinkDnsSupportCommandOutput | DisassociateAddressCommandOutput | DisassociateClientVpnTargetNetworkCommandOutput | DisassociateEnclaveCertificateIamRoleCommandOutput | DisassociateIamInstanceProfileCommandOutput | DisassociateInstanceEventWindowCommandOutput | DisassociateIpamByoasnCommandOutput | DisassociateIpamResourceDiscoveryCommandOutput | DisassociateNatGatewayAddressCommandOutput | DisassociateRouteTableCommandOutput | DisassociateSubnetCidrBlockCommandOutput | DisassociateTransitGatewayMulticastDomainCommandOutput | DisassociateTransitGatewayPolicyTableCommandOutput | DisassociateTransitGatewayRouteTableCommandOutput | DisassociateTrunkInterfaceCommandOutput | DisassociateVpcCidrBlockCommandOutput | EnableAddressTransferCommandOutput | EnableAwsNetworkPerformanceMetricSubscriptionCommandOutput | EnableEbsEncryptionByDefaultCommandOutput | EnableFastLaunchCommandOutput | EnableFastSnapshotRestoresCommandOutput | EnableImageBlockPublicAccessCommandOutput | EnableImageCommandOutput | EnableImageDeprecationCommandOutput | EnableIpamOrganizationAdminAccountCommandOutput | EnableReachabilityAnalyzerOrganizationSharingCommandOutput | EnableSerialConsoleAccessCommandOutput | EnableSnapshotBlockPublicAccessCommandOutput | EnableTransitGatewayRouteTablePropagationCommandOutput | EnableVgwRoutePropagationCommandOutput | EnableVolumeIOCommandOutput | EnableVpcClassicLinkCommandOutput | EnableVpcClassicLinkDnsSupportCommandOutput | ExportClientVpnClientCertificateRevocationListCommandOutput | ExportClientVpnClientConfigurationCommandOutput | ExportImageCommandOutput | ExportTransitGatewayRoutesCommandOutput | GetAssociatedEnclaveCertificateIamRolesCommandOutput | GetAssociatedIpv6PoolCidrsCommandOutput | GetAwsNetworkPerformanceDataCommandOutput | GetCapacityReservationUsageCommandOutput | GetCoipPoolUsageCommandOutput | GetConsoleOutputCommandOutput | GetConsoleScreenshotCommandOutput | GetDefaultCreditSpecificationCommandOutput | GetEbsDefaultKmsKeyIdCommandOutput | GetEbsEncryptionByDefaultCommandOutput | GetFlowLogsIntegrationTemplateCommandOutput | GetGroupsForCapacityReservationCommandOutput | GetHostReservationPurchasePreviewCommandOutput | GetImageBlockPublicAccessStateCommandOutput | GetInstanceTypesFromInstanceRequirementsCommandOutput | GetInstanceUefiDataCommandOutput | GetIpamAddressHistoryCommandOutput | GetIpamDiscoveredAccountsCommandOutput | GetIpamDiscoveredPublicAddressesCommandOutput | GetIpamDiscoveredResourceCidrsCommandOutput | GetIpamPoolAllocationsCommandOutput | GetIpamPoolCidrsCommandOutput | GetIpamResourceCidrsCommandOutput | GetLaunchTemplateDataCommandOutput | GetManagedPrefixListAssociationsCommandOutput | GetManagedPrefixListEntriesCommandOutput | GetNetworkInsightsAccessScopeAnalysisFindingsCommandOutput | GetNetworkInsightsAccessScopeContentCommandOutput | GetPasswordDataCommandOutput | GetReservedInstancesExchangeQuoteCommandOutput | GetSecurityGroupsForVpcCommandOutput | GetSerialConsoleAccessStatusCommandOutput | GetSnapshotBlockPublicAccessStateCommandOutput | GetSpotPlacementScoresCommandOutput | GetSubnetCidrReservationsCommandOutput | GetTransitGatewayAttachmentPropagationsCommandOutput | GetTransitGatewayMulticastDomainAssociationsCommandOutput | GetTransitGatewayPolicyTableAssociationsCommandOutput | GetTransitGatewayPolicyTableEntriesCommandOutput | GetTransitGatewayPrefixListReferencesCommandOutput | GetTransitGatewayRouteTableAssociationsCommandOutput | GetTransitGatewayRouteTablePropagationsCommandOutput | GetVerifiedAccessEndpointPolicyCommandOutput | GetVerifiedAccessGroupPolicyCommandOutput | GetVpnConnectionDeviceSampleConfigurationCommandOutput | GetVpnConnectionDeviceTypesCommandOutput | GetVpnTunnelReplacementStatusCommandOutput | ImportClientVpnClientCertificateRevocationListCommandOutput | ImportImageCommandOutput | ImportInstanceCommandOutput | ImportKeyPairCommandOutput | ImportSnapshotCommandOutput | ImportVolumeCommandOutput | ListImagesInRecycleBinCommandOutput | ListSnapshotsInRecycleBinCommandOutput | LockSnapshotCommandOutput | ModifyAddressAttributeCommandOutput | ModifyAvailabilityZoneGroupCommandOutput | ModifyCapacityReservationCommandOutput | ModifyCapacityReservationFleetCommandOutput | ModifyClientVpnEndpointCommandOutput | ModifyDefaultCreditSpecificationCommandOutput | ModifyEbsDefaultKmsKeyIdCommandOutput | ModifyFleetCommandOutput | ModifyFpgaImageAttributeCommandOutput | ModifyHostsCommandOutput | ModifyIdFormatCommandOutput | ModifyIdentityIdFormatCommandOutput | ModifyImageAttributeCommandOutput | ModifyInstanceAttributeCommandOutput | ModifyInstanceCapacityReservationAttributesCommandOutput | ModifyInstanceCreditSpecificationCommandOutput | ModifyInstanceEventStartTimeCommandOutput | ModifyInstanceEventWindowCommandOutput | ModifyInstanceMaintenanceOptionsCommandOutput | ModifyInstanceMetadataOptionsCommandOutput | ModifyInstancePlacementCommandOutput | ModifyIpamCommandOutput | ModifyIpamPoolCommandOutput | ModifyIpamResourceCidrCommandOutput | ModifyIpamResourceDiscoveryCommandOutput | ModifyIpamScopeCommandOutput | ModifyLaunchTemplateCommandOutput | ModifyLocalGatewayRouteCommandOutput | ModifyManagedPrefixListCommandOutput | ModifyNetworkInterfaceAttributeCommandOutput | ModifyPrivateDnsNameOptionsCommandOutput | ModifyReservedInstancesCommandOutput | ModifySecurityGroupRulesCommandOutput | ModifySnapshotAttributeCommandOutput | ModifySnapshotTierCommandOutput | ModifySpotFleetRequestCommandOutput | ModifySubnetAttributeCommandOutput | ModifyTrafficMirrorFilterNetworkServicesCommandOutput | ModifyTrafficMirrorFilterRuleCommandOutput | ModifyTrafficMirrorSessionCommandOutput | ModifyTransitGatewayCommandOutput | ModifyTransitGatewayPrefixListReferenceCommandOutput | ModifyTransitGatewayVpcAttachmentCommandOutput | ModifyVerifiedAccessEndpointCommandOutput | ModifyVerifiedAccessEndpointPolicyCommandOutput | ModifyVerifiedAccessGroupCommandOutput | ModifyVerifiedAccessGroupPolicyCommandOutput | ModifyVerifiedAccessInstanceCommandOutput | ModifyVerifiedAccessInstanceLoggingConfigurationCommandOutput | ModifyVerifiedAccessTrustProviderCommandOutput | ModifyVolumeAttributeCommandOutput | ModifyVolumeCommandOutput | ModifyVpcAttributeCommandOutput | ModifyVpcEndpointCommandOutput | ModifyVpcEndpointConnectionNotificationCommandOutput | ModifyVpcEndpointServiceConfigurationCommandOutput | ModifyVpcEndpointServicePayerResponsibilityCommandOutput | ModifyVpcEndpointServicePermissionsCommandOutput | ModifyVpcPeeringConnectionOptionsCommandOutput | ModifyVpcTenancyCommandOutput | ModifyVpnConnectionCommandOutput | ModifyVpnConnectionOptionsCommandOutput | ModifyVpnTunnelCertificateCommandOutput | ModifyVpnTunnelOptionsCommandOutput | MonitorInstancesCommandOutput | MoveAddressToVpcCommandOutput | MoveByoipCidrToIpamCommandOutput | ProvisionByoipCidrCommandOutput | ProvisionIpamByoasnCommandOutput | ProvisionIpamPoolCidrCommandOutput | ProvisionPublicIpv4PoolCidrCommandOutput | PurchaseCapacityBlockCommandOutput | PurchaseHostReservationCommandOutput | PurchaseReservedInstancesOfferingCommandOutput | PurchaseScheduledInstancesCommandOutput | RebootInstancesCommandOutput | RegisterImageCommandOutput | RegisterInstanceEventNotificationAttributesCommandOutput | RegisterTransitGatewayMulticastGroupMembersCommandOutput | RegisterTransitGatewayMulticastGroupSourcesCommandOutput | RejectTransitGatewayMulticastDomainAssociationsCommandOutput | RejectTransitGatewayPeeringAttachmentCommandOutput | RejectTransitGatewayVpcAttachmentCommandOutput | RejectVpcEndpointConnectionsCommandOutput | RejectVpcPeeringConnectionCommandOutput | ReleaseAddressCommandOutput | ReleaseHostsCommandOutput | ReleaseIpamPoolAllocationCommandOutput | ReplaceIamInstanceProfileAssociationCommandOutput | ReplaceNetworkAclAssociationCommandOutput | ReplaceNetworkAclEntryCommandOutput | ReplaceRouteCommandOutput | ReplaceRouteTableAssociationCommandOutput | ReplaceTransitGatewayRouteCommandOutput | ReplaceVpnTunnelCommandOutput | ReportInstanceStatusCommandOutput | RequestSpotFleetCommandOutput | RequestSpotInstancesCommandOutput | ResetAddressAttributeCommandOutput | ResetEbsDefaultKmsKeyIdCommandOutput | ResetFpgaImageAttributeCommandOutput | ResetImageAttributeCommandOutput | ResetInstanceAttributeCommandOutput | ResetNetworkInterfaceAttributeCommandOutput | ResetSnapshotAttributeCommandOutput | RestoreAddressToClassicCommandOutput | RestoreImageFromRecycleBinCommandOutput | RestoreManagedPrefixListVersionCommandOutput | RestoreSnapshotFromRecycleBinCommandOutput | RestoreSnapshotTierCommandOutput | RevokeClientVpnIngressCommandOutput | RevokeSecurityGroupEgressCommandOutput | RevokeSecurityGroupIngressCommandOutput | RunInstancesCommandOutput | RunScheduledInstancesCommandOutput | SearchLocalGatewayRoutesCommandOutput | SearchTransitGatewayMulticastGroupsCommandOutput | SearchTransitGatewayRoutesCommandOutput | SendDiagnosticInterruptCommandOutput | StartInstancesCommandOutput | StartNetworkInsightsAccessScopeAnalysisCommandOutput | StartNetworkInsightsAnalysisCommandOutput | StartVpcEndpointServicePrivateDnsVerificationCommandOutput | StopInstancesCommandOutput | TerminateClientVpnConnectionsCommandOutput | TerminateInstancesCommandOutput | UnassignIpv6AddressesCommandOutput | UnassignPrivateIpAddressesCommandOutput | UnassignPrivateNatGatewayAddressCommandOutput | UnlockSnapshotCommandOutput | UnmonitorInstancesCommandOutput | UpdateSecurityGroupRuleDescriptionsEgressCommandOutput | UpdateSecurityGroupRuleDescriptionsIngressCommandOutput | WithdrawByoipCidrCommandOutput;
/**
 * @public
 */
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    /**
     * The HTTP handler to use. Fetch in browser and Https in Nodejs.
     */
    requestHandler?: __HttpHandler;
    /**
     * A constructor for a class implementing the {@link @smithy/types#ChecksumConstructor} interface
     * that computes the SHA-256 HMAC or checksum of a string or binary buffer.
     * @internal
     */
    sha256?: __ChecksumConstructor | __HashConstructor;
    /**
     * The function that will be used to convert strings into HTTP endpoints.
     * @internal
     */
    urlParser?: __UrlParser;
    /**
     * A function that can calculate the length of a request body.
     * @internal
     */
    bodyLengthChecker?: __BodyLengthCalculator;
    /**
     * A function that converts a stream into an array of bytes.
     * @internal
     */
    streamCollector?: __StreamCollector;
    /**
     * The function that will be used to convert a base64-encoded string to a byte array.
     * @internal
     */
    base64Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a base64-encoded string.
     * @internal
     */
    base64Encoder?: __Encoder;
    /**
     * The function that will be used to convert a UTF8-encoded string to a byte array.
     * @internal
     */
    utf8Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a UTF-8 encoded string.
     * @internal
     */
    utf8Encoder?: __Encoder;
    /**
     * The runtime environment.
     * @internal
     */
    runtime?: string;
    /**
     * Disable dynamically changing the endpoint of the client based on the hostPrefix
     * trait of an operation.
     */
    disableHostPrefix?: boolean;
    /**
     * Unique service identifier.
     * @internal
     */
    serviceId?: string;
    /**
     * Enables IPv6/IPv4 dualstack endpoint.
     */
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    /**
     * Enables FIPS compatible endpoints.
     */
    useFipsEndpoint?: boolean | __Provider<boolean>;
    /**
     * The provider populating default tracking information to be sent with `user-agent`, `x-amz-user-agent` header
     * @internal
     */
    defaultUserAgentProvider?: Provider<__UserAgent>;
    /**
     * The AWS region to which this client will send requests
     */
    region?: string | __Provider<string>;
    /**
     * Default credentials provider; Not available in browser runtime.
     * @deprecated
     * @internal
     */
    credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
    /**
     * Value for how many times a request will be made at most in case of retry.
     */
    maxAttempts?: number | __Provider<number>;
    /**
     * Specifies which retry algorithm to use.
     * @see https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/Package/-smithy-util-retry/Enum/RETRY_MODES/
     *
     */
    retryMode?: string | __Provider<string>;
    /**
     * Optional logger for logging debug/info/warn/error.
     */
    logger?: __Logger;
    /**
     * Optional extensions
     */
    extensions?: RuntimeExtension[];
    /**
     * The {@link @smithy/smithy-client#DefaultsMode} that will be used to determine how certain default configuration options are resolved in the SDK.
     */
    defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
/**
 * @public
 */
export type EC2ClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointInputConfig<EndpointParameters> & RetryInputConfig & HostHeaderInputConfig & UserAgentInputConfig & HttpAuthSchemeInputConfig & ClientInputEndpointParameters;
/**
 * @public
 *
 *  The configuration interface of EC2Client class constructor that set the region, credentials and other options.
 */
export interface EC2ClientConfig extends EC2ClientConfigType {
}
/**
 * @public
 */
export type EC2ClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RuntimeExtensionsConfig & RegionResolvedConfig & EndpointResolvedConfig<EndpointParameters> & RetryResolvedConfig & HostHeaderResolvedConfig & UserAgentResolvedConfig & HttpAuthSchemeResolvedConfig & ClientResolvedEndpointParameters;
/**
 * @public
 *
 *  The resolved configuration interface of EC2Client class. This is resolved and normalized from the {@link EC2ClientConfig | constructor configuration interface}.
 */
export interface EC2ClientResolvedConfig extends EC2ClientResolvedConfigType {
}
/**
 * @public
 * <fullname>Amazon Elastic Compute Cloud</fullname>
 *          <p>Amazon Elastic Compute Cloud (Amazon EC2) provides secure and resizable computing capacity in the Amazon Web Services Cloud.
 *           Using Amazon EC2 eliminates the need to invest in hardware up front, so you can develop and deploy applications
 *           faster. Amazon Virtual Private Cloud (Amazon VPC) enables you to provision a logically isolated section of the
 *           Amazon Web Services Cloud where you can launch Amazon Web Services resources in a virtual network that you've defined. Amazon Elastic Block Store
 *           (Amazon EBS) provides block level storage volumes for use with EC2 instances. EBS volumes are highly available
 *           and reliable storage volumes that can be attached to any running instance and used like a hard drive.</p>
 *          <p>To learn more, see the following resources:</p>
 *          <ul>
 *             <li>
 *                <p>Amazon EC2: <a href="http://aws.amazon.com/ec2">Amazon EC2 product page</a>, <a href="https://docs.aws.amazon.com/ec2/index.html">Amazon EC2 documentation</a>
 *                </p>
 *             </li>
 *             <li>
 *                <p>Amazon EBS: <a href="http://aws.amazon.com/ebs">Amazon EBS product page</a>, <a href="https://docs.aws.amazon.com/ebs/index.html">Amazon EBS documentation</a>
 *                </p>
 *             </li>
 *             <li>
 *                <p>Amazon VPC: <a href="http://aws.amazon.com/vpc">Amazon VPC product page</a>, <a href="https://docs.aws.amazon.com/vpc/index.html">Amazon VPC documentation</a>
 *                </p>
 *             </li>
 *             <li>
 *                <p>VPN: <a href="http://aws.amazon.com/vpn">VPN product page</a>, <a href="https://docs.aws.amazon.com/vpn/index.html">VPN documentation</a>
 *                </p>
 *             </li>
 *          </ul>
 */
export declare class EC2Client extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, EC2ClientResolvedConfig> {
    /**
     * The resolved configuration of EC2Client class. This is resolved and normalized from the {@link EC2ClientConfig | constructor configuration interface}.
     */
    readonly config: EC2ClientResolvedConfig;
    constructor(...[configuration]: __CheckOptionalClientConfig<EC2ClientConfig>);
    /**
     * Destroy underlying resources, like sockets. It's usually not necessary to do this.
     * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
     * Otherwise, sockets might stay open for quite a long time before the server terminates them.
     */
    destroy(): void;
    private getDefaultHttpAuthSchemeParametersProvider;
    private getIdentityProviderConfigProvider;
}
