import { execFileSync } from 'child_process'
import { DriverImpl } from 'task-standard-drivers/DriverImpl'

export function getDriver(taskFamilyName: string, taskName: string, containerName: string) {
  return new DriverImpl(taskFamilyName, taskName, async ({ pythonCode, args, user, workdir, env }) => {
    const stdout = execFileSync('docker', [
      'exec',
      '-u',
      user,
      '-w',
      workdir,
      ...Object.entries(env).map(([key, value]) => `--env=${key}=${value}`),
      containerName,
      'python',
      '-c',
      pythonCode,
      ...(args ?? []),
    ])
    return { stdout: stdout.toString().trim(), stderr: '', exitStatus: 0 }
  })
}
