import { AuxVmDetails, Driver, Env, TaskSetupData, VmImageBuilder } from 'task-standard-drivers/Driver'
import { addAuxVmDetailsToEnv } from './env'

export async function startTaskEnvironment(
  taskEnvironmentIdentifier: string,
  driver: Driver,
  taskFamilyDirectory: string,
  taskSetupData: TaskSetupData,
  env: Env,
  buildVmImage: VmImageBuilder,
  saveAuxVmDetails?: (auxVmDetails: AuxVmDetails | null) => Promise<void>,
): Promise<AuxVmDetails | null> {
  const auxVMDetails = await driver.maybeCreateAuxVm(
    taskEnvironmentIdentifier,
    taskFamilyDirectory,
    taskSetupData,
    buildVmImage,
  )
  await saveAuxVmDetails?.(auxVMDetails)

    await driver.startTask(taskSetupData, addAuxVmDetailsToEnv(env, auxVMDetails))

  return auxVMDetails
}
